<?php 
/* Add Promotion Calendar Settings Page */
function wppc_settings_menu() {
	add_submenu_page(
		'edit.php?post_type=promotion',
		'Promotion Calendar Settings',
		'Settings',
		'administrator',			
		basename(__FILE__),
		'wppc_settings_display'
	);
} 
add_action('admin_menu', 'wppc_settings_menu');

/* Renders Promotion Calendar Settings Page */
function wppc_settings_display() {
?>
	<div class="wrap">
		<div id="icon-themes" class="icon32"></div>
		<h2>Promotion Calendar Settings</h2>

		<?php settings_errors(); ?> 
	
		<form method="post" action="options.php" enctype="multipart/form-data">
			<?php settings_fields( 'wppc_display_options' ); ?>
			<?php do_settings_sections( 'wppc_display_options' ); ?>
			<?php submit_button(); ?>
		</form>
		
		<div style="margin-top:50px;">
		 &copy; Copyright <?php echo date('Y'); ?> <a href="http://themodernentrepreneur.com">The Modern Entrepreneur</a>
		</div>
	</div>
<?php
} 

/* Provides default values for the Display Options */
function wppc_default_display_options() {

	$defaults = array(
		'display_wppc_optin'		=>	'default',
		'display_wppc_matchtype'	=>	'exact',
		'wppc_activecampaign_url'	=>	'',
		'wppc_activecampaign_api'	=>	'',
		'wppc_activecampaign_form'	=>	'',
		'wppc_aweber_id'			=>	'',
		'wppc_mailchimp_user_id'	=>	'',
		'wppc_mailchimp_list_id'	=>	'',
		'wppc_mailchimp_form_action'=>	'',
		'wppc_mailchimp_name_input'	=>	'',
		'wppc_mailchimp_email_input'=>	'',
		'wppc_optin_headline'		=>	'Get Free Notifications About Our Top Offers',
		'wppc_optin_button_text'	=>	'Get Our Best Offers!',
		'wppc_optin_privacy_text'	=>	'We Respect Your Privacy!',
		'wppc_slug'					=>	'promotion-calendar',
		'wppc_error_slug'			=>	'date-locked',
		'wppc_month'				=>	'default',
		'wppc_day_01'				=>	'default',
		'wppc_day_02'				=>	'default',
		'wppc_day_03'				=>	'default',
		'wppc_day_04'				=>	'default',
		'wppc_day_05'				=>	'default',
		'wppc_day_06'				=>	'default',
		'wppc_day_07'				=>	'default',
		'wppc_day_08'				=>	'default',
		'wppc_day_09'				=>	'default',
		'wppc_day_10'				=>	'default',
		'wppc_day_11'				=>	'default',
		'wppc_day_12'				=>	'default',
		'wppc_day_13'				=>	'default',
		'wppc_day_14'				=>	'default',
		'wppc_day_15'				=>	'default',
		'wppc_day_16'				=>	'default',
		'wppc_day_17'				=>	'default',
		'wppc_day_18'				=>	'default',
		'wppc_day_19'				=>	'default',
		'wppc_day_20'				=>	'default',
		'wppc_day_21'				=>	'default',
		'wppc_day_22'				=>	'default',
		'wppc_day_23'				=>	'default',
		'wppc_day_24'				=>	'default',
		'wppc_day_25'				=>	'default',
		'wppc_day_26'				=>	'default',
		'wppc_day_27'				=>	'default',
		'wppc_day_28'				=>	'default',
		'wppc_day_29'				=>	'default',
		'wppc_day_30'				=>	'default',
		'wppc_day_31'				=>	'default',
		'wppc_calendar_background'	=>	'',
		'wppc_calendar_logo'		=>	'',
		'wppc_opengraph_image'		=>	'',
		'wppc_header_background'	=>	'#000000',
		'wppc_header_font_color'	=>	'#ffffff',
		'wppc_intro_background'		=>	'#ffffff',
		'wppc_intro_color'			=>	'#000000',
		'wppc_date_background'		=>	'#000000',
		'wppc_date_color'			=>	'#8dbee6',
		'wppc_opengraph_title'		=>	'Promotion Calendar',
		'wppc_opengraph_image'		=>	'',
		'wppc_opengraph_desc'		=>	'Get daily treats from our promotion calendar.',
		'wppc_twitter_username'		=>	'',
		'display_wppc_headless'		=>	'0',
		'display_wppc_credit'		=>	'1'
	);

	return apply_filters( 'wppc_default_display_options', $defaults );
}

function wppc_options() { 

	if( false == get_option( 'wppc_display_options' ) ) {	
		add_option( 'wppc_display_options', apply_filters( 'wppc_default_display_options', wppc_default_display_options() ) );
	}
 
    add_settings_section( 
        'promotion_calendar', 
        'Display Settings',  
        'wppc_options_callback', 
        'wppc_display_options'  
    ); 
    
    $options = get_option('wppc_display_options'); 
     
    add_settings_field(   
        'display_wppc_optin', 
        'Enable Promotion Optin Box',  
        'display_wppc_optin_callback',  
        'wppc_display_options',   
        'promotion_calendar',          
        array(                                
            ''  
        )  
    ); 	 
    
    if ( $options['display_wppc_optin'] != 'default') {	
    
    if ( $options['display_wppc_optin'] == 'aweber') {	
	
	add_settings_field(   
        'wppc_aweber_id', 
        'Aweber List Name',  
        'wppc_aweber_id_callback',  
        'wppc_display_options',   
        'promotion_calendar',          
        array(                                
            ''  
        )  
    ); 
    
    }
    
    if ( $options['display_wppc_optin'] == 'activecampaign') {		
    
    add_settings_field(   
        'wppc_activecampaign_url', 
        'ActiveCampaign API URL',  
        'wppc_activecampaign_url_callback',  
        'wppc_display_options',   
        'promotion_calendar',          
        array(                                
            ''  
        )  
    ); 	
    
    add_settings_field(   
        'wppc_activecampaign_api', 
        'ActiveCampaign API Key',  
        'wppc_activecampaign_api_callback',  
        'wppc_display_options',   
        'promotion_calendar',          
        array(                                
            ''  
        )  
    ); 
    
    add_settings_field(   
        'wppc_activecampaign_form', 
        'ActiveCampaign Form ID',  
        'wppc_activecampaign_form_callback',  
        'wppc_display_options',   
        'promotion_calendar',          
        array(                                
            ''  
        )  
    ); 
    
    }

	
	if ( $options['display_wppc_optin'] == 'mailchimp') {			
					
	add_settings_field(   
        'wppc_mailchimp_user_id', 
        'Mailchimp User ID (u)',  
        'wppc_mailchimp_user_id_callback',  
        'wppc_display_options',   
        'promotion_calendar',          
        array(                                
            ''  
        )  
    ); 
    
	add_settings_field(   
        'wppc_mailchimp_list_id', 
        'Mailchimp List ID (id)',  
        'wppc_mailchimp_list_id_callback',  
        'wppc_display_options',   
        'promotion_calendar',          
        array(                                
            ''  
        )  
    ); 
    
	add_settings_field(   
        'wppc_mailchimp_form_action', 
        'Mailchimp Form Action URL',  
        'wppc_mailchimp_form_action_callback',  
        'wppc_display_options',   
        'promotion_calendar',          
        array(                                
            ''  
        )  
    ); 
    
	add_settings_field(   
        'wppc_mailchimp_name_input', 
        'Name Field Input Name',  
        'wppc_mailchimp_name_input_callback',  
        'wppc_display_options',   
        'promotion_calendar',          
        array(                                
            ''  
        )  
    ); 
    
	add_settings_field(   
        'wppc_mailchimp_email_input', 
        'Email Field Input Name',  
        'wppc_mailchimp_email_input_callback',  
        'wppc_display_options',   
        'promotion_calendar',          
        array(                                
            ''  
        )  
    ); 
    
    }
    
    if ( $options['display_wppc_optin'] == 'getresponse') {	
	
	add_settings_field(   
        'wppc_getresponse_id', 
        'GetResponse Form ID',  
        'wppc_getresponse_id_callback',  
        'wppc_display_options',   
        'promotion_calendar',          
        array(                                
            ''  
        )  
    ); 
    
    }
    
    }
	
	add_settings_field(   
        'wppc_optin_headline', 
        'Enter Optin Headline',  
        'wppc_optin_headline_callback',  
        'wppc_display_options',   
        'promotion_calendar',          
        array(                                
            ''  
        )  
    ); 
	
	add_settings_field(   
        'wppc_optin_button_text', 
        'Enter Optin Button Text',  
        'wppc_optin_button_text_callback',  
        'wppc_display_options',   
        'promotion_calendar',          
        array(                                
            ''  
        )  
    ); 
    
	add_settings_field(   
        'wppc_optin_privacy_text', 
        'Enter Optin Privacy Text',  
        'wppc_optin_privacy_text_callback',  
        'wppc_display_options',   
        'promotion_calendar',          
        array(                                
            ''  
        )  
    ); 
	
	add_settings_field(   
        'wppc_aweber_redirect', 
        'Thank You Page URL',  
        'wppc_aweber_redirect_callback',  
        'wppc_display_options',   
        'promotion_calendar',          
        array(                                
            ''  
        )  
    ); 
	
	add_settings_field(   
        'wppc_slug', 
        'Enter Calendar Slug',  
        'wppc_slug_callback',  
        'wppc_display_options',   
        'promotion_calendar',          
        array(                                
            ''  
        )  
    ); 
	
	add_settings_field(   
        'wppc_error_slug', 
        'Enter Locked Slug',  
        'wppc_error_slug_callback',  
        'wppc_display_options',   
        'promotion_calendar',          
        array(                                
            ''  
        )  
    ); 
    
    add_settings_field(   
        'display_wppc_matchtype', 
        'Select Door Locking Rules',  
        'display_wppc_matchtype_callback',  
        'wppc_display_options',   
        'promotion_calendar',          
        array(                                
            ''  
        )  
    );
	
	add_settings_field(   
        'wppc_month', 
        'Select Calendar Month',  
        'wppc_month_callback',  
        'wppc_display_options',   
        'promotion_calendar',          
        array(                                
            ''  
        )  
    ); 
	
	add_settings_field(   
        'wppc_day_01', 
        'Select a Promotion for the 1st',  
        'wppc_day_01_callback',  
        'wppc_display_options',   
        'promotion_calendar',          
        array(                                
            ''  
        )  
    );
	
	add_settings_field(   
        'wppc_day_02', 
        'Select a Promotion for the 2nd',  
        'wppc_day_02_callback',  
        'wppc_display_options',   
        'promotion_calendar',          
        array(                                
            ''  
        )  
    );
	
	add_settings_field(   
        'wppc_day_03', 
        'Select a Promotion for the 3rd',  
        'wppc_day_03_callback',  
        'wppc_display_options',   
        'promotion_calendar',          
        array(                                
            ''  
        )  
    );
	
	add_settings_field(   
        'wppc_day_04', 
        'Select a Promotion for the 4th',  
        'wppc_day_04_callback',  
        'wppc_display_options',   
        'promotion_calendar',          
        array(                                
            ''  
        )  
    );
	
	add_settings_field(   
        'wppc_day_05', 
        'Select a Promotion for the 5th',  
        'wppc_day_05_callback',  
        'wppc_display_options',   
        'promotion_calendar',          
        array(                                
            ''  
        )  
    );
	
	add_settings_field(   
        'wppc_day_06', 
        'Select a Promotion for the 6th',  
        'wppc_day_06_callback',  
        'wppc_display_options',   
        'promotion_calendar',          
        array(                                
            ''  
        )  
    );
	
	add_settings_field(   
        'wppc_day_07', 
        'Select a Promotion for the 7th',  
        'wppc_day_07_callback',  
        'wppc_display_options',   
        'promotion_calendar',          
        array(                                
            ''  
        )  
    );
	
	add_settings_field(   
        'wppc_day_08', 
        'Select a Promotion for the 8th',  
        'wppc_day_08_callback',  
        'wppc_display_options',   
        'promotion_calendar',          
        array(                                
            ''  
        )  
    );
	
	add_settings_field(   
        'wppc_day_09', 
        'Select a Promotion for the 9th',  
        'wppc_day_09_callback',  
        'wppc_display_options',   
        'promotion_calendar',          
        array(                                
            ''  
        )  
    );
	
	add_settings_field(   
        'wppc_day_10', 
        'Select a Promotion for the 10th',  
        'wppc_day_10_callback',  
        'wppc_display_options',   
        'promotion_calendar',          
        array(                                
            ''  
        )  
    );
	
	add_settings_field(   
        'wppc_day_11', 
        'Select a Promotion for the 11th',  
        'wppc_day_11_callback',  
        'wppc_display_options',   
        'promotion_calendar',          
        array(                                
            ''  
        )  
    );
	
	add_settings_field(   
        'wppc_day_12', 
        'Select a Promotion for the 12th',  
        'wppc_day_12_callback',  
        'wppc_display_options',   
        'promotion_calendar',          
        array(                                
            ''  
        )  
    );
	
	add_settings_field(   
        'wppc_day_13', 
        'Select a Promotion for the 13th',  
        'wppc_day_13_callback',  
        'wppc_display_options',   
        'promotion_calendar',          
        array(                                
            ''  
        )  
    );
	
	add_settings_field(   
        'wppc_day_14', 
        'Select a Promotion for the 14th',  
        'wppc_day_14_callback',  
        'wppc_display_options',   
        'promotion_calendar',          
        array(                                
            ''  
        )  
    );
	
	add_settings_field(   
        'wppc_day_15', 
        'Select a Promotion for the 15th',  
        'wppc_day_15_callback',  
        'wppc_display_options',   
        'promotion_calendar',          
        array(                                
            ''  
        )  
    );
	
	add_settings_field(   
        'wppc_day_16', 
        'Select a Promotion for the 16th',  
        'wppc_day_16_callback',  
        'wppc_display_options',   
        'promotion_calendar',          
        array(                                
            ''  
        )  
    );
	
	add_settings_field(   
        'wppc_day_17', 
        'Select a Promotion for the 17th',  
        'wppc_day_17_callback',  
        'wppc_display_options',   
        'promotion_calendar',          
        array(                                
            ''  
        )  
    );
	
	add_settings_field(   
        'wppc_day_18', 
        'Select a Promotion for the 18th',  
        'wppc_day_18_callback',  
        'wppc_display_options',   
        'promotion_calendar',          
        array(                                
            ''  
        )  
    );
	
	add_settings_field(   
        'wppc_day_19', 
        'Select a Promotion for the 19th',  
        'wppc_day_19_callback',  
        'wppc_display_options',   
        'promotion_calendar',          
        array(                                
            ''  
        )  
    );
	
	add_settings_field(   
        'wppc_day_20', 
        'Select a Promotion for the 20th',  
        'wppc_day_20_callback',  
        'wppc_display_options',   
        'promotion_calendar',          
        array(                                
            ''  
        )  
    );
	
	add_settings_field(   
        'wppc_day_21', 
        'Select a Promotion for the 21st',  
        'wppc_day_21_callback',  
        'wppc_display_options',   
        'promotion_calendar',          
        array(                                
            ''  
        )  
    );
	
	add_settings_field(   
        'wppc_day_22', 
        'Select a Promotion for the 22nd',  
        'wppc_day_22_callback',  
        'wppc_display_options',   
        'promotion_calendar',          
        array(                                
            ''  
        )  
    );
	
	add_settings_field(   
        'wppc_day_23', 
        'Select a Promotion for the 23rd',  
        'wppc_day_23_callback',  
        'wppc_display_options',   
        'promotion_calendar',          
        array(                                
            ''  
        )  
    );
	
	add_settings_field(   
        'wppc_day_24', 
        'Select a Promotion for the 24th',  
        'wppc_day_24_callback',  
        'wppc_display_options',   
        'promotion_calendar',          
        array(                                
            ''  
        )  
    );
	
	add_settings_field(   
        'wppc_day_25', 
        'Select a Promotion for the 25th',  
        'wppc_day_25_callback',  
        'wppc_display_options',   
        'promotion_calendar',          
        array(                                
            ''  
        )  
    );
	
	add_settings_field(   
        'wppc_day_26', 
        'Select a Promotion for the 26th',  
        'wppc_day_26_callback',  
        'wppc_display_options',   
        'promotion_calendar',          
        array(                                
            ''  
        )  
    );
	
	add_settings_field(   
        'wppc_day_27', 
        'Select a Promotion for the 27th',  
        'wppc_day_27_callback',  
        'wppc_display_options',   
        'promotion_calendar',          
        array(                                
            ''  
        )  
    );
	
	add_settings_field(   
        'wppc_day_28', 
        'Select a Promotion for the 28th',  
        'wppc_day_28_callback',  
        'wppc_display_options',   
        'promotion_calendar',          
        array(                                
            ''  
        )  
    );
	
	add_settings_field(   
        'wppc_day_29', 
        'Select a Promotion for the 29th',  
        'wppc_day_29_callback',  
        'wppc_display_options',   
        'promotion_calendar',          
        array(                                
            ''  
        )  
    );
	
	add_settings_field(   
        'wppc_day_30', 
        'Select a Promotion for the 30th',  
        'wppc_day_30_callback',  
        'wppc_display_options',   
        'promotion_calendar',          
        array(                                
            ''  
        )  
    );
	
	add_settings_field(   
        'wppc_day_31', 
        'Select a Promotion for the 31st',  
        'wppc_day_31_callback',  
        'wppc_display_options',   
        'promotion_calendar',          
        array(                                
            ''  
        )  
    );
	
	add_settings_field(   
        'wppc_calendar_background', 
        'Upload a background image',  
        'wppc_calendar_background_callback',  
        'wppc_display_options',   
        'promotion_calendar',          
        array(                                
            ''  
        )  
    ); 
	
	add_settings_field(   
        'wppc_calendar_logo', 
        'Upload a custom logo',  
        'wppc_calendar_logo_callback',  
        'wppc_display_options',   
        'promotion_calendar',          
        array(                                
            ''  
        )  
    ); 
    
	add_settings_field(   
        'wppc_header_background', 
        'Header background color',  
        'wppc_header_background_callback',  
        'wppc_display_options',   
        'promotion_calendar',          
        array(                                
            ''  
        )  
    ); 	
    
	add_settings_field(   
        'wppc_header_font_color', 
        'Header Font color',  
        'wppc_header_font_color_callback',  
        'wppc_display_options',   
        'promotion_calendar',          
        array(                                
            ''  
        )  
    ); 	
	
	add_settings_field(   
        'wppc_intro_background', 
        'Introduction background color',  
        'wppc_intro_background_callback',  
        'wppc_display_options',   
        'promotion_calendar',          
        array(                                
            ''  
        )  
    ); 
	
	add_settings_field(   
        'wppc_intro_color', 
        'Introduction font color',  
        'wppc_intro_color_callback',  
        'wppc_display_options',   
        'promotion_calendar',          
        array(                                
            ''  
        )  
    ); 
	
	add_settings_field(   
        'wppc_date_background', 
        'Promotion Door Color',  
        'wppc_date_background_callback',  
        'wppc_display_options',   
        'promotion_calendar',          
        array(                                
            ''  
        )  
    ); 
	
	add_settings_field(   
        'wppc_date_color', 
        'Promotion Date Color',  
        'wppc_date_color_callback',  
        'wppc_display_options',   
        'promotion_calendar',          
        array(                                
            ''  
        )  
    );
    
    add_settings_field(   
        'wppc_opengraph_title', 
        'Page Title for Social Shares',  
        'wppc_opengraph_title_callback',  
        'wppc_display_options',   
        'promotion_calendar',          
        array(                                
            ''  
        )  
    ); 
    
    add_settings_field(   
        'wppc_opengraph_desc', 
        'Short description for Social Shares',  
        'wppc_opengraph_desc_callback',  
        'wppc_display_options',   
        'promotion_calendar',          
        array(                                
            ''  
        )  
    );
    
    add_settings_field(   
        'wppc_opengraph_image', 
        'Upload a custom image <br/>(1200 x 630 Recommended)',  
        'wppc_opengraph_image_callback',  
        'wppc_display_options',   
        'promotion_calendar',          
        array(                                
            ''  
        )  
    ); 
    
    add_settings_field(   
        'wppc_twitter_username', 
        'Twitter @UserName',  
        'wppc_twitter_username_callback',  
        'wppc_display_options',   
        'promotion_calendar',          
        array(                                
            ''  
        )  
    );
      
    add_settings_field(   
        'display_wppc_headless',                       
        'Enable Headless Mode',                
        'toggle_wppc_headless_callback',    
        'wppc_display_options',                            
        'promotion_calendar',           
        array(                                
            '&nbsp;&nbsp;Removes header if enabled for embedding the calendar on another site i.e. Facebook.'  
        )  
    ); 
    
    add_settings_field(   
        'display_wppc_credit',                       
        'Enable Credit Link',                
        'toggle_wppc_credit_callback',    
        'wppc_display_options',                            
        'promotion_calendar',           
        array(                                
            '&nbsp;&nbsp;We\'d really appreciate this but it is not required!'  
        )  
    );   
      
	register_setting(
		'wppc_display_options',
		'wppc_display_options'
	);
  
      
}   
add_action('admin_init', 'wppc_options'); 
  
/* Generate Section and Field Callbacks */
function wppc_options_callback() {
    echo '<p><strong>To get started make sure you first select an email provider (or Other/None) and *hit save!*</strong><br/>Only once your email provider has been saved will you see the full set of options available to you.<br/>Make sure you then continue to fill out all available form fields.<br/><a href="https://themodernentrepreneur.com/tools/promotion-calendar/?utm_source=plugin&utm_medium=settings-page&utm_campaign=Promotion_Calendar">Further instructions can be found here.</a></p>';
} 

function display_wppc_optin_callback() {
    $options = get_option('wppc_display_options');
	
	$html = '<select name="wppc_display_options[display_wppc_optin]">
		<option value="default">Select your email provider...</option>
		<option value="activecampaign"' . selected( $options[display_wppc_optin], 'activecampaign', false) .'>Active Campaign</option>
		<option value="aweber"' . selected( $options[display_wppc_optin], 'aweber', false) .'>Aweber</option>
		<option value="getresponse"' . selected( $options[display_wppc_optin], 'getresponse', false) .'>GetResponse</option>
		<option value="mailchimp"' . selected( $options[display_wppc_optin], 'mailchimp', false) .'>Mailchimp</option>
		<option value="custom"' . selected( $options[display_wppc_optin], 'custom', false) .'>Other (Paste form code into Promotion Editor)</option>
	</select>';
	
	echo $html;
} 

function display_wppc_matchtype_callback() {
    $options = get_option('wppc_display_options');
	
	$html = '<select name="wppc_display_options[display_wppc_matchtype]">
		<option value="exact"' . selected( $options[display_wppc_matchtype], 'exact', false) .'>Allow Current Date Only</option>
		<option value="cumulative"' . selected( $options[display_wppc_matchtype], 'cumulative', false) .'>Allow Current & Past Dates</option>
		<option value="unrestricted"' . selected( $options[display_wppc_matchtype], 'unrestricted', false) .'>Allow Any Date (Unrestricted)</option>
	</select>';
	
	echo $html;
} 

function wppc_activecampaign_url_callback() {
    
	$options = get_option('wppc_display_options');
	
	$html ='<input type="text" name="wppc_display_options[wppc_activecampaign_url]" value="' . $options[wppc_activecampaign_url] . '"';
	
	echo $html;
	
}

function wppc_activecampaign_api_callback() {
    
	$options = get_option('wppc_display_options');
	
	$html ='<input type="text" name="wppc_display_options[wppc_activecampaign_api]" value="' . $options[wppc_activecampaign_api] . '"';
	
	echo $html;
	
}

function wppc_activecampaign_form_callback() {
    
	$options = get_option('wppc_display_options');
	
	$html ='<input type="text" name="wppc_display_options[wppc_activecampaign_form]" value="' . $options[wppc_activecampaign_form] . '"';
	
	echo $html;
	
}

function wppc_aweber_id_callback() {
    
	$options = get_option('wppc_display_options');
	
	$html ='<input type="text" name="wppc_display_options[wppc_aweber_id]" value="' . $options[wppc_aweber_id] . '"';
	
	echo $html;
	
}

function wppc_mailchimp_user_id_callback() {
    
	$options = get_option('wppc_display_options');
	
	$html ='<input type="text" name="wppc_display_options[wppc_mailchimp_user_id]" value="' . $options[wppc_mailchimp_user_id] . '"';
	
	echo $html;
	
}

function wppc_mailchimp_list_id_callback() {
    
	$options = get_option('wppc_display_options');
	
	$html ='<input type="text" name="wppc_display_options[wppc_mailchimp_list_id]" value="' . $options[wppc_mailchimp_list_id] . '"';
	
	echo $html;
	
}

function wppc_mailchimp_form_action_callback() {
    
	$options = get_option('wppc_display_options');
	
	$html ='<input type="text" name="wppc_display_options[wppc_mailchimp_form_action]" value="' . $options[wppc_mailchimp_form_action] . '"';
	
	echo $html;
	
}

function wppc_mailchimp_name_input_callback() {
    
	$options = get_option('wppc_display_options');
	
	$html ='<input type="text" name="wppc_display_options[wppc_mailchimp_name_input]" value="' . $options[wppc_mailchimp_name_input] . '"';
	
	echo $html;
	
}

function wppc_mailchimp_email_input_callback() {
    
	$options = get_option('wppc_display_options');
	
	$html ='<input type="text" name="wppc_display_options[wppc_mailchimp_email_input]" value="' . $options[wppc_mailchimp_email_input] . '"';
	
	echo $html;
	
}

function wppc_getresponse_id_callback() {
    
	$options = get_option('wppc_display_options');
	
	$html ='<input type="text" name="wppc_display_options[wppc_getresponse_id]" value="' . $options[wppc_getresponse_id] . '"';
	
	echo $html;
	
}

function wppc_optin_headline_callback() {
    
	$options = get_option('wppc_display_options');
	
	$html ='<input type="text" name="wppc_display_options[wppc_optin_headline]" value="' . $options[wppc_optin_headline] . '"';
	
	echo $html;
	
}

function wppc_optin_button_text_callback() {
    
	$options = get_option('wppc_display_options');
	
	$html ='<input type="text" name="wppc_display_options[wppc_optin_button_text]" value="' . $options[wppc_optin_button_text] . '"';
	
	echo $html;
	
}

function wppc_optin_privacy_text_callback() {
    
	$options = get_option('wppc_display_options');
	
	$html ='<input type="text" name="wppc_display_options[wppc_optin_privacy_text]" value="' . $options[wppc_optin_privacy_text] . '"';
	
	echo $html;
	
}

function wppc_aweber_redirect_callback() {
    
	$options = get_option('wppc_display_options');
	
	$html ='<input type="text" name="wppc_display_options[wppc_aweber_redirect]" value="' . $options[wppc_aweber_redirect] . '"';
	
	echo $html;
	
}

function wppc_slug_callback() {
    
	$options = get_option('wppc_display_options');
	
	$html ='<input type="text" name="wppc_display_options[wppc_slug]" value="' . $options[wppc_slug] . '"';
	
	echo $html;
	
}

function wppc_error_slug_callback() {
    
	$options = get_option('wppc_display_options');
	
	$html ='<input type="text" name="wppc_display_options[wppc_error_slug]" value="' . $options[wppc_error_slug] . '"';
	
	echo $html;
	
}

function wppc_month_callback() {
    $options = get_option('wppc_display_options');
	
	$html = '<select name="wppc_display_options[wppc_month]">
		<option value="default">Select a month...</option>
		<option value="01"' . selected( $options[wppc_month], '01', false) .'>January</option>
		<option value="02"' . selected( $options[wppc_month], '02', false) .'>February</option>
		<option value="03"' . selected( $options[wppc_month], '03', false) .'>March</option>
		<option value="04"' . selected( $options[wppc_month], '04', false) .'>April</option>
		<option value="05"' . selected( $options[wppc_month], '05', false) .'>May</option>
		<option value="06"' . selected( $options[wppc_month], '06', false) .'>June</option>
		<option value="07"' . selected( $options[wppc_month], '07', false) .'>July</option>
		<option value="08"' . selected( $options[wppc_month], '08', false) .'>August</option>
		<option value="09"' . selected( $options[wppc_month], '09', false) .'>September</option>
		<option value="10"' . selected( $options[wppc_month], '10', false) .'>October</option>
		<option value="11"' . selected( $options[wppc_month], '11', false) .'>November</option>
		<option value="12"' . selected( $options[wppc_month], '12', false) .'>December</option>
	</select>';
	
	echo $html;
}

function  wppc_day_01_callback() {
	$options = get_option('wppc_display_options');
	$promotions = new WP_Query(
		array( 		
			'post_type' => 'promotion',		
			'order' => 'ASC',
			'orderby' => 'title',	
			'post_status'=>'publish',
			'posts_per_page' => 100
		) 
	); 
	
	echo '<select name="wppc_display_options[wppc_day_01]">
		<option value="default">Select a promotion...</option>';
		
	/* Add List of Promotions within Select Options */
	if ( $promotions->have_posts() ) {
		while ( $promotions->have_posts() ) {
			$promotions->the_post();
			echo '<option value="' . get_permalink( $promotion->ID ) . '"' . selected( $options[wppc_day_01], get_permalink( $promotion->ID ) , false) .'>' . get_the_title() . '</option>';
		}
	}
	
	echo '</select>';
	wp_reset_query(); 
}

function  wppc_day_02_callback() {
	$options = get_option('wppc_display_options');
	$promotions = new WP_Query(
		array( 		
			'post_type' => 'promotion',		
			'order' => 'ASC',
			'orderby' => 'date',	
			'post_status'=>'publish',
			'posts_per_page' => 100
		) 
	); 
	
	echo '<select name="wppc_display_options[wppc_day_02]">
		<option value="default">Select a promotion...</option>';
		
	/* Add List of Promotions within Select Options */
	if ( $promotions->have_posts() ) {
		while ( $promotions->have_posts() ) {
			$promotions->the_post();
			echo '<option value="' . get_permalink( $promotion->ID ) . '"' . selected( $options[wppc_day_02], get_permalink( $promotion->ID ) , false) .'>' . get_the_title() . '</option>';
		}
	}
	
	echo '</select>';

}

function  wppc_day_03_callback() {
	$options = get_option('wppc_display_options');
	$promotions = new WP_Query(
		array( 		
			'post_type' => 'promotion',		
			'order' => 'ASC',
			'orderby' => 'date',	
			'post_status'=>'publish',
			'posts_per_page' => 100
		) 
	); 
	
	echo '<select name="wppc_display_options[wppc_day_03]">
		<option value="default">Select a promotion...</option>';
		
	/* Add List of Promotions within Select Options */
	if ( $promotions->have_posts() ) {
		while ( $promotions->have_posts() ) {
			$promotions->the_post();
			echo '<option value="' . get_permalink( $promotion->ID ) . '"' . selected( $options[wppc_day_03], get_permalink( $promotion->ID ) , false) .'>' . get_the_title() . '</option>';
		}
	}
	
	echo '</select>';

}

function  wppc_day_04_callback() {
	$options = get_option('wppc_display_options');
	$promotions = new WP_Query(
		array( 		
			'post_type' => 'promotion',		
			'order' => 'ASC',
			'orderby' => 'date',	
			'post_status'=>'publish',
			'posts_per_page' => 100
		) 
	); 
	
	echo '<select name="wppc_display_options[wppc_day_04]">
		<option value="default">Select a promotion...</option>';
		
	/* Add List of Promotions within Select Options */
	if ( $promotions->have_posts() ) {
		while ( $promotions->have_posts() ) {
			$promotions->the_post();
			echo '<option value="' . get_permalink( $promotion->ID ) . '"' . selected( $options[wppc_day_04], get_permalink( $promotion->ID ) , false) .'>' . get_the_title() . '</option>';
		}
	}
	
	echo '</select>';

}

function  wppc_day_05_callback() {
	$options = get_option('wppc_display_options');
	$promotions = new WP_Query(
		array( 		
			'post_type' => 'promotion',		
			'order' => 'ASC',
			'orderby' => 'date',	
			'post_status'=>'publish',
			'posts_per_page' => 100
		) 
	); 
	
	echo '<select name="wppc_display_options[wppc_day_05]">
		<option value="default">Select a promotion...</option>';
		
	/* Add List of Promotions within Select Options */
	if ( $promotions->have_posts() ) {
		while ( $promotions->have_posts() ) {
			$promotions->the_post();
			echo '<option value="' . get_permalink( $promotion->ID ) . '"' . selected( $options[wppc_day_05], get_permalink( $promotion->ID ) , false) .'>' . get_the_title() . '</option>';
		}
	}
	
	echo '</select>';

}

function  wppc_day_06_callback() {
	$options = get_option('wppc_display_options');
	$promotions = new WP_Query(
		array( 		
			'post_type' => 'promotion',		
			'order' => 'ASC',
			'orderby' => 'date',	
			'post_status'=>'publish',
			'posts_per_page' => 100
		) 
	); 
	
	echo '<select name="wppc_display_options[wppc_day_06]">
		<option value="default">Select a promotion...</option>';
		
	/* Add List of Promotions within Select Options */
	if ( $promotions->have_posts() ) {
		while ( $promotions->have_posts() ) {
			$promotions->the_post();
			echo '<option value="' . get_permalink( $promotion->ID ) . '"' . selected( $options[wppc_day_06], get_permalink( $promotion->ID ) , false) .'>' . get_the_title() . '</option>';
		}
	}
	
	echo '</select>';

}

function  wppc_day_07_callback() {
	$options = get_option('wppc_display_options');
	$promotions = new WP_Query(
		array( 		
			'post_type' => 'promotion',		
			'order' => 'ASC',
			'orderby' => 'date',	
			'post_status'=>'publish',
			'posts_per_page' => 100
		) 
	); 
	
	echo '<select name="wppc_display_options[wppc_day_07]">
		<option value="default">Select a promotion...</option>';
		
	/* Add List of Promotions within Select Options */
	if ( $promotions->have_posts() ) {
		while ( $promotions->have_posts() ) {
			$promotions->the_post();
			echo '<option value="' . get_permalink( $promotion->ID ) . '"' . selected( $options[wppc_day_07], get_permalink( $promotion->ID ) , false) .'>' . get_the_title() . '</option>';
		}
	}
	
	echo '</select>';

}

function  wppc_day_08_callback() {
	$options = get_option('wppc_display_options');
	$promotions = new WP_Query(
		array( 		
			'post_type' => 'promotion',		
			'order' => 'ASC',
			'orderby' => 'date',	
			'post_status'=>'publish',
			'posts_per_page' => 100
		) 
	); 
	
	echo '<select name="wppc_display_options[wppc_day_08]">
		<option value="default">Select a promotion...</option>';
		
	/* Add List of Promotions within Select Options */
	if ( $promotions->have_posts() ) {
		while ( $promotions->have_posts() ) {
			$promotions->the_post();
			echo '<option value="' . get_permalink( $promotion->ID ) . '"' . selected( $options[wppc_day_08], get_permalink( $promotion->ID ) , false) .'>' . get_the_title() . '</option>';
		}
	}
	
	echo '</select>';

}

function  wppc_day_09_callback() {
	$options = get_option('wppc_display_options');
	$promotions = new WP_Query(
		array( 		
			'post_type' => 'promotion',		
			'order' => 'ASC',
			'orderby' => 'date',	
			'post_status'=>'publish',
			'posts_per_page' => 100
		) 
	); 
	
	echo '<select name="wppc_display_options[wppc_day_09]">
		<option value="default">Select a promotion...</option>';
		
	/* Add List of Promotions within Select Options */
	if ( $promotions->have_posts() ) {
		while ( $promotions->have_posts() ) {
			$promotions->the_post();
			echo '<option value="' . get_permalink( $promotion->ID ) . '"' . selected( $options[wppc_day_09], get_permalink( $promotion->ID ) , false) .'>' . get_the_title() . '</option>';
		}
	}
	
	echo '</select>';

}

function  wppc_day_10_callback() {
	$options = get_option('wppc_display_options');
	$promotions = new WP_Query(
		array( 		
			'post_type' => 'promotion',		
			'order' => 'ASC',
			'orderby' => 'date',	
			'post_status'=>'publish',
			'posts_per_page' => 100
		) 
	); 
	
	echo '<select name="wppc_display_options[wppc_day_10]">
		<option value="default">Select a promotion...</option>';
		
	/* Add List of Promotions within Select Options */
	if ( $promotions->have_posts() ) {
		while ( $promotions->have_posts() ) {
			$promotions->the_post();
			echo '<option value="' . get_permalink( $promotion->ID ) . '"' . selected( $options[wppc_day_10], get_permalink( $promotion->ID ) , false) .'>' . get_the_title() . '</option>';
		}
	}
	
	echo '</select>';

}

function  wppc_day_11_callback() {
	$options = get_option('wppc_display_options');
	$promotions = new WP_Query(
		array( 		
			'post_type' => 'promotion',		
			'order' => 'ASC',
			'orderby' => 'date',	
			'post_status'=>'publish',
			'posts_per_page' => 100
		) 
	); 
	
	echo '<select name="wppc_display_options[wppc_day_11]">
		<option value="default">Select a promotion...</option>';
		
	/* Add List of Promotions within Select Options */
	if ( $promotions->have_posts() ) {
		while ( $promotions->have_posts() ) {
			$promotions->the_post();
			echo '<option value="' . get_permalink( $promotion->ID ) . '"' . selected( $options[wppc_day_11], get_permalink( $promotion->ID ) , false) .'>' . get_the_title() . '</option>';
		}
	}
	
	echo '</select>';

}

function  wppc_day_12_callback() {
	$options = get_option('wppc_display_options');
	$promotions = new WP_Query(
		array( 		
			'post_type' => 'promotion',		
			'order' => 'ASC',
			'orderby' => 'date',	
			'post_status'=>'publish',
			'posts_per_page' => 100
		) 
	); 
	
	echo '<select name="wppc_display_options[wppc_day_12]">
		<option value="default">Select a promotion...</option>';
		
	/* Add List of Promotions within Select Options */
	if ( $promotions->have_posts() ) {
		while ( $promotions->have_posts() ) {
			$promotions->the_post();
			echo '<option value="' . get_permalink( $promotion->ID ) . '"' . selected( $options[wppc_day_12], get_permalink( $promotion->ID ) , false) .'>' . get_the_title() . '</option>';
		}
	}
	
	echo '</select>';

}

function  wppc_day_13_callback() {
	$options = get_option('wppc_display_options');
	$promotions = new WP_Query(
		array( 		
			'post_type' => 'promotion',		
			'order' => 'ASC',
			'orderby' => 'date',	
			'post_status'=>'publish',
			'posts_per_page' => 100
		) 
	); 
	
	echo '<select name="wppc_display_options[wppc_day_13]">
		<option value="default">Select a promotion...</option>';
		
	/* Add List of Promotions within Select Options */
	if ( $promotions->have_posts() ) {
		while ( $promotions->have_posts() ) {
			$promotions->the_post();
			echo '<option value="' . get_permalink( $promotion->ID ) . '"' . selected( $options[wppc_day_13], get_permalink( $promotion->ID ) , false) .'>' . get_the_title() . '</option>';
		}
	}
	
	echo '</select>';

}

function  wppc_day_14_callback() {
	$options = get_option('wppc_display_options');
	$promotions = new WP_Query(
		array( 		
			'post_type' => 'promotion',		
			'order' => 'ASC',
			'orderby' => 'date',	
			'post_status'=>'publish',
			'posts_per_page' => 100
		) 
	); 
	
	echo '<select name="wppc_display_options[wppc_day_14]">
		<option value="default">Select a promotion...</option>';
		
	/* Add List of Promotions within Select Options */
	if ( $promotions->have_posts() ) {
		while ( $promotions->have_posts() ) {
			$promotions->the_post();
			echo '<option value="' . get_permalink( $promotion->ID ) . '"' . selected( $options[wppc_day_14], get_permalink( $promotion->ID ) , false) .'>' . get_the_title() . '</option>';
		}
	}
	
	echo '</select>';

}

function  wppc_day_15_callback() {
	$options = get_option('wppc_display_options');
	$promotions = new WP_Query(
		array( 		
			'post_type' => 'promotion',		
			'order' => 'ASC',
			'orderby' => 'date',	
			'post_status'=>'publish',
			'posts_per_page' => 100
		) 
	); 
	
	echo '<select name="wppc_display_options[wppc_day_15]">
		<option value="default">Select a promotion...</option>';
		
	/* Add List of Promotions within Select Options */
	if ( $promotions->have_posts() ) {
		while ( $promotions->have_posts() ) {
			$promotions->the_post();
			echo '<option value="' . get_permalink( $promotion->ID ) . '"' . selected( $options[wppc_day_15], get_permalink( $promotion->ID ) , false) .'>' . get_the_title() . '</option>';
		}
	}
	
	echo '</select>';

}

function  wppc_day_16_callback() {
	$options = get_option('wppc_display_options');
	$promotions = new WP_Query(
		array( 		
			'post_type' => 'promotion',		
			'order' => 'ASC',
			'orderby' => 'date',	
			'post_status'=>'publish',
			'posts_per_page' => 100
		) 
	); 
	
	echo '<select name="wppc_display_options[wppc_day_16]">
		<option value="default">Select a promotion...</option>';
		
	/* Add List of Promotions within Select Options */
	if ( $promotions->have_posts() ) {
		while ( $promotions->have_posts() ) {
			$promotions->the_post();
			echo '<option value="' . get_permalink( $promotion->ID ) . '"' . selected( $options[wppc_day_16], get_permalink( $promotion->ID ) , false) .'>' . get_the_title() . '</option>';
		}
	}
	
	echo '</select>';

}

function  wppc_day_17_callback() {
	$options = get_option('wppc_display_options');
	$promotions = new WP_Query(
		array( 		
			'post_type' => 'promotion',		
			'order' => 'ASC',
			'orderby' => 'date',	
			'post_status'=>'publish',
			'posts_per_page' => 100
		) 
	); 
	
	echo '<select name="wppc_display_options[wppc_day_17]">
		<option value="default">Select a promotion...</option>';
		
	/* Add List of Promotions within Select Options */
	if ( $promotions->have_posts() ) {
		while ( $promotions->have_posts() ) {
			$promotions->the_post();
			echo '<option value="' . get_permalink( $promotion->ID ) . '"' . selected( $options[wppc_day_17], get_permalink( $promotion->ID ) , false) .'>' . get_the_title() . '</option>';
		}
	}
	
	echo '</select>';

}

function  wppc_day_18_callback() {
	$options = get_option('wppc_display_options');
	$promotions = new WP_Query(
		array( 		
			'post_type' => 'promotion',		
			'order' => 'ASC',
			'orderby' => 'date',	
			'post_status'=>'publish',
			'posts_per_page' => 100
		) 
	); 
	
	echo '<select name="wppc_display_options[wppc_day_18]">
		<option value="default">Select a promotion...</option>';
		
	/* Add List of Promotions within Select Options */
	if ( $promotions->have_posts() ) {
		while ( $promotions->have_posts() ) {
			$promotions->the_post();
			echo '<option value="' . get_permalink( $promotion->ID ) . '"' . selected( $options[wppc_day_18], get_permalink( $promotion->ID ) , false) .'>' . get_the_title() . '</option>';
		}
	}
	
	echo '</select>';

}

function  wppc_day_19_callback() {
	$options = get_option('wppc_display_options');
	$promotions = new WP_Query(
		array( 		
			'post_type' => 'promotion',		
			'order' => 'ASC',
			'orderby' => 'date',	
			'post_status'=>'publish',
			'posts_per_page' => 100
		) 
	); 
	
	echo '<select name="wppc_display_options[wppc_day_19]">
		<option value="default">Select a promotion...</option>';
		
	/* Add List of Promotions within Select Options */
	if ( $promotions->have_posts() ) {
		while ( $promotions->have_posts() ) {
			$promotions->the_post();
			echo '<option value="' . get_permalink( $promotion->ID ) . '"' . selected( $options[wppc_day_19], get_permalink( $promotion->ID ) , false) .'>' . get_the_title() . '</option>';
		}
	}
	
	echo '</select>';

}

function  wppc_day_20_callback() {
	$options = get_option('wppc_display_options');
	$promotions = new WP_Query(
		array( 		
			'post_type' => 'promotion',		
			'order' => 'ASC',
			'orderby' => 'date',	
			'post_status'=>'publish',
			'posts_per_page' => 100
		) 
	); 
	
	echo '<select name="wppc_display_options[wppc_day_20]">
		<option value="default">Select a promotion...</option>';
		
	/* Add List of Promotions within Select Options */
	if ( $promotions->have_posts() ) {
		while ( $promotions->have_posts() ) {
			$promotions->the_post();
			echo '<option value="' . get_permalink( $promotion->ID ) . '"' . selected( $options[wppc_day_20], get_permalink( $promotion->ID ) , false) .'>' . get_the_title() . '</option>';
		}
	}
	
	echo '</select>';

}

function  wppc_day_21_callback() {
	$options = get_option('wppc_display_options');
	$promotions = new WP_Query(
		array( 		
			'post_type' => 'promotion',		
			'order' => 'ASC',
			'orderby' => 'date',	
			'post_status'=>'publish',
			'posts_per_page' => 100
		) 
	); 
	
	echo '<select name="wppc_display_options[wppc_day_21]">
		<option value="default">Select a promotion...</option>';
		
	/* Add List of Promotions within Select Options */
	if ( $promotions->have_posts() ) {
		while ( $promotions->have_posts() ) {
			$promotions->the_post();
			echo '<option value="' . get_permalink( $promotion->ID ) . '"' . selected( $options[wppc_day_21], get_permalink( $promotion->ID ) , false) .'>' . get_the_title() . '</option>';
		}
	}
	
	echo '</select>';

}

function  wppc_day_22_callback() {
	$options = get_option('wppc_display_options');
	$promotions = new WP_Query(
		array( 		
			'post_type' => 'promotion',		
			'order' => 'ASC',
			'orderby' => 'date',	
			'post_status'=>'publish',
			'posts_per_page' => 100
		) 
	); 
	
	echo '<select name="wppc_display_options[wppc_day_22]">
		<option value="default">Select a promotion...</option>';
		
	/* Add List of Promotions within Select Options */
	if ( $promotions->have_posts() ) {
		while ( $promotions->have_posts() ) {
			$promotions->the_post();
			echo '<option value="' . get_permalink( $promotion->ID ) . '"' . selected( $options[wppc_day_22], get_permalink( $promotion->ID ) , false) .'>' . get_the_title() . '</option>';
		}
	}
	
	echo '</select>';

}

function  wppc_day_23_callback() {
	$options = get_option('wppc_display_options');
	$promotions = new WP_Query(
		array( 		
			'post_type' => 'promotion',		
			'order' => 'ASC',
			'orderby' => 'date',	
			'post_status'=>'publish',
			'posts_per_page' => 100
		) 
	); 
	
	echo '<select name="wppc_display_options[wppc_day_23]">
		<option value="default">Select a promotion...</option>';
		
	/* Add List of Promotions within Select Options */
	if ( $promotions->have_posts() ) {
		while ( $promotions->have_posts() ) {
			$promotions->the_post();
			echo '<option value="' . get_permalink( $promotion->ID ) . '"' . selected( $options[wppc_day_23], get_permalink( $promotion->ID ) , false) .'>' . get_the_title() . '</option>';
		}
	}
	
	echo '</select>';

}

function  wppc_day_24_callback() {
	$options = get_option('wppc_display_options');
	$promotions = new WP_Query(
		array( 		
			'post_type' => 'promotion',		
			'order' => 'ASC',
			'orderby' => 'date',	
			'post_status'=>'publish',
			'posts_per_page' => 100
		) 
	); 
	
	echo '<select name="wppc_display_options[wppc_day_24]">
		<option value="default">Select a promotion...</option>';
		
	/* Add List of Promotions within Select Options */
	if ( $promotions->have_posts() ) {
		while ( $promotions->have_posts() ) {
			$promotions->the_post();
			echo '<option value="' . get_permalink( $promotion->ID ) . '"' . selected( $options[wppc_day_24], get_permalink( $promotion->ID ) , false) .'>' . get_the_title() . '</option>';
		}
	}
	
	echo '</select>';

}

function  wppc_day_25_callback() {
	$options = get_option('wppc_display_options');
	$promotions = new WP_Query(
		array( 		
			'post_type' => 'promotion',		
			'order' => 'ASC',
			'orderby' => 'date',	
			'post_status'=>'publish',
			'posts_per_page' => 100
		) 
	); 
	
	echo '<select name="wppc_display_options[wppc_day_25]">
		<option value="default">Select a promotion...</option>';
		
	/* Add List of Promotions within Select Options */
	if ( $promotions->have_posts() ) {
		while ( $promotions->have_posts() ) {
			$promotions->the_post();
			echo '<option value="' . get_permalink( $promotion->ID ) . '"' . selected( $options[wppc_day_25], get_permalink( $promotion->ID ) , false) .'>' . get_the_title() . '</option>';
		}
	}
	
	echo '</select>';

}

function  wppc_day_26_callback() {
	$options = get_option('wppc_display_options');
	$promotions = new WP_Query(
		array( 		
			'post_type' => 'promotion',		
			'order' => 'ASC',
			'orderby' => 'date',	
			'post_status'=>'publish',
			'posts_per_page' => 100
		) 
	); 
	
	echo '<select name="wppc_display_options[wppc_day_26]">
		<option value="default">Select a promotion...</option>';
		
	/* Add List of Promotions within Select Options */
	if ( $promotions->have_posts() ) {
		while ( $promotions->have_posts() ) {
			$promotions->the_post();
			echo '<option value="' . get_permalink( $promotion->ID ) . '"' . selected( $options[wppc_day_26], get_permalink( $promotion->ID ) , false) .'>' . get_the_title() . '</option>';
		}
	}
	
	echo '</select>';

}

function  wppc_day_27_callback() {
	$options = get_option('wppc_display_options');
	$promotions = new WP_Query(
		array( 		
			'post_type' => 'promotion',		
			'order' => 'ASC',
			'orderby' => 'date',	
			'post_status'=>'publish',
			'posts_per_page' => 100
		) 
	); 
	
	echo '<select name="wppc_display_options[wppc_day_27]">
		<option value="default">Select a promotion...</option>';
		
	/* Add List of Promotions within Select Options */
	if ( $promotions->have_posts() ) {
		while ( $promotions->have_posts() ) {
			$promotions->the_post();
			echo '<option value="' . get_permalink( $promotion->ID ) . '"' . selected( $options[wppc_day_27], get_permalink( $promotion->ID ) , false) .'>' . get_the_title() . '</option>';
		}
	}
	
	echo '</select>';

}

function  wppc_day_28_callback() {
	$options = get_option('wppc_display_options');
	$promotions = new WP_Query(
		array( 		
			'post_type' => 'promotion',		
			'order' => 'ASC',
			'orderby' => 'date',	
			'post_status'=>'publish',
			'posts_per_page' => 100
		) 
	); 
	
	echo '<select name="wppc_display_options[wppc_day_28]">
		<option value="default">Select a promotion...</option>';
		
	/* Add List of Promotions within Select Options */
	if ( $promotions->have_posts() ) {
		while ( $promotions->have_posts() ) {
			$promotions->the_post();
			echo '<option value="' . get_permalink( $promotion->ID ) . '"' . selected( $options[wppc_day_28], get_permalink( $promotion->ID ) , false) .'>' . get_the_title() . '</option>';
		}
	}
	
	echo '</select>';

}

function  wppc_day_29_callback() {
	$options = get_option('wppc_display_options');
	$promotions = new WP_Query(
		array( 		
			'post_type' => 'promotion',		
			'order' => 'ASC',
			'orderby' => 'date',	
			'post_status'=>'publish',
			'posts_per_page' => 100
		) 
	); 
	
	echo '<select name="wppc_display_options[wppc_day_29]">
		<option value="default">Select a promotion...</option>';
		
	/* Add List of Promotions within Select Options */
	if ( $promotions->have_posts() ) {
		while ( $promotions->have_posts() ) {
			$promotions->the_post();
			echo '<option value="' . get_permalink( $promotion->ID ) . '"' . selected( $options[wppc_day_29], get_permalink( $promotion->ID ) , false) .'>' . get_the_title() . '</option>';
		}
	}
	
	echo '</select>';

}

function  wppc_day_30_callback() {
	$options = get_option('wppc_display_options');
	$promotions = new WP_Query(
		array( 		
			'post_type' => 'promotion',		
			'order' => 'ASC',
			'orderby' => 'date',	
			'post_status'=>'publish',
			'posts_per_page' => 100
		) 
	); 
	
	echo '<select name="wppc_display_options[wppc_day_30]">
		<option value="default">Select a promotion...</option>';
		
	/* Add List of Promotions within Select Options */
	if ( $promotions->have_posts() ) {
		while ( $promotions->have_posts() ) {
			$promotions->the_post();
			echo '<option value="' . get_permalink( $promotion->ID ) . '"' . selected( $options[wppc_day_30], get_permalink( $promotion->ID ) , false) .'>' . get_the_title() . '</option>';
		}
	}
	
	echo '</select>';

}

function  wppc_day_31_callback() {
	$options = get_option('wppc_display_options');
	$promotions = new WP_Query(
		array( 		
			'post_type' => 'promotion',		
			'order' => 'ASC',
			'orderby' => 'date',	
			'post_status'=>'publish',
			'posts_per_page' => 100
		) 
	); 
	
	echo '<select name="wppc_display_options[wppc_day_31]">
		<option value="default">Select a promotion...</option>';
		
	/* Add List of Promotions within Select Options */
	if ( $promotions->have_posts() ) {
		while ( $promotions->have_posts() ) {
			$promotions->the_post();
			echo '<option value="' . get_permalink( $promotion->ID ) . '"' . selected( $options[wppc_day_31], get_permalink( $promotion->ID ) , false) .'>' . get_the_title() . '</option>';
		}
	}
	
	echo '</select>';

}

function wppc_calendar_background_callback() { 
	$options = get_option('wppc_display_options'); 
	
	$html = '<div class="wppc_image_upload"><input id="upload_background_image" type="text" size="36" name="wppc_display_options[wppc_calendar_background]" value="' . $options[wppc_calendar_background] . '" /> 
		<input id="upload_background_image_button" class="button" type="button" value="Upload Image" /></div>';
	
	echo $html;
}

function wppc_calendar_logo_callback() { 
	$options = get_option('wppc_display_options'); 
	
	$html = '<div class="wppc_image_upload"><input id="upload_logo_image" type="text" size="36" name="wppc_display_options[wppc_calendar_logo]" value="' . $options[wppc_calendar_logo] . '" /> 
		<input id="upload_logo_image_button" class="button" type="button" value="Upload Image" /></div>';
	
	echo $html;
}

function wppc_opengraph_image_callback() { 
	$options = get_option('wppc_display_options'); 
	
	$html = '<div class="wppc_image_upload"><input id="upload_logo_image" type="text" size="36" name="wppc_display_options[wppc_opengraph_image]" value="' . $options[wppc_opengraph_image] . '" /> 
		<input id="upload_opengraph_image_button" class="button" type="button" value="Upload Image" /></div>';
	
	echo $html;
}

function wppc_header_background_callback() {
    $options = get_option('wppc_display_options');
	
	$html = '<input id="color" name="wppc_display_options[wppc_header_background]" type="color" value="' . $options[wppc_header_background] . '">';
	
	$html .= '<label for="wppc_header_background"> '  . $args[0] . '</label>'; 
	
	echo $html;
}

function wppc_header_font_color_callback() {
    $options = get_option('wppc_display_options');
	
	$html = '<input id="color" name="wppc_display_options[wppc_header_font_color]" type="color" value="' . $options[wppc_header_font_color] . '">';
	
	$html .= '<label for="wppc_header_font_color"> '  . $args[0] . '</label>'; 
	
	echo $html;
}

function wppc_intro_background_callback() {
    $options = get_option('wppc_display_options');
	
	$html = '<input id="color" name="wppc_display_options[wppc_intro_background]" type="color" value="' . $options[wppc_intro_background] . '">';
	
	$html .= '<label for="wppc_intro_background"> '  . $args[0] . '</label>'; 
	
	echo $html;
}

function wppc_intro_color_callback() {
    $options = get_option('wppc_display_options');
	
	$html = '<input id="color" name="wppc_display_options[wppc_intro_color]" type="color" value="' . $options[wppc_intro_color] . '">';
	
	$html .= '<label for="wppc_intro_color"> '  . $args[0] . '</label>'; 
	
	echo $html;
}

function wppc_date_background_callback() {
    $options = get_option('wppc_display_options');
	
	$html = '<input id="color" name="wppc_display_options[wppc_date_background]" type="color" value="' . $options[wppc_highlight_background] . '">';
	
	$html .= '<label for="wppc_date_background"> '  . $args[0] . '</label>'; 
	
	echo $html;
}

function wppc_date_color_callback() {
    $options = get_option('wppc_display_options');
	
	$html = '<input id="color" name="wppc_display_options[wppc_date_color]" type="color" value="' . $options[wppc_date_color] . '">';
	
	$html .= '<label for="wppc_date_color"> '  . $args[0] . '</label>'; 
	
	echo $html;
}

function wppc_opengraph_title_callback() {
    
	$options = get_option('wppc_display_options');
	
	$html ='<input type="text" name="wppc_display_options[wppc_opengraph_title]" value="' . $options[wppc_opengraph_title] . '"';
	
	echo $html;
	
}

function wppc_opengraph_desc_callback() {
    
	$options = get_option('wppc_display_options');
	
	$html ='<input type="text" name="wppc_display_options[wppc_opengraph_desc]" value="' . $options[wppc_opengraph_desc] . '"';
	
	echo $html;
	
}

function wppc_twitter_username_callback() {
    
	$options = get_option('wppc_display_options');
	
	$html ='<input type="text" name="wppc_display_options[wppc_twitter_username]" value="' . $options[wppc_twitter_username] . '"';
	
	echo $html;
	
}

function toggle_wppc_headless_callback($args) {
	
	$options = get_option('wppc_display_options');
	
	$html = '<input type="checkbox" id="display_wppc_headless" name="wppc_display_options[display_wppc_headless]" value="1" ' . checked( 1, isset( $options['display_wppc_headless'] ) ? $options['display_wppc_headless'] : 0, false ) . '/>'; 
	
	$html .= '<label for="display_wppc_headless"> '  . $args[0] . '</label>'; 
	
	echo $html;
	
}

function toggle_wppc_credit_callback($args) {
	
	$options = get_option('wppc_display_options');
	
	$html = '<input type="checkbox" id="display_wppc_credit" name="wppc_display_options[display_wppc_credit]" value="1" ' . checked( 1, isset( $options['display_wppc_credit'] ) ? $options['display_wppc_credit'] : 0, false ) . '/>'; 
	
	$html .= '<label for="display_wppc_credit"> '  . $args[0] . '</label>'; 
	
	echo $html;
	
} 

?>