<?php
/*
Template Name: Promotion Calendar - Index
*/
?>
<html>
<head>
<title><?php the_title(); ?> | <?php bloginfo('name'); ?></title>
<meta name="viewport" content="initial-scale = 1.0,maximum-scale = 1.0" />	
<?php wp_head(); ?>
<?php 
	$options = get_option('wppc_display_options');
	$opengraphurl = $options['wppc_slug'];
		
	?>
		<!-- OpenGraph & Twitter Data -->
		<meta property="og:title" content="<?php echo $options['wppc_opengraph_title']; ?>" />
		<meta property="og:description" content="<?php echo $options['wppc_opengraph_desc']; ?>"/>
		<meta property="og:type" content="website" />
		<meta property="og:url" content="<?php bloginfo('wpurl'); echo '/'.$opengraphurl.'/'; ?>" />
	<?php 
		
	if ( $options['wppc_opengraph_image'] != '' ) { 	
		?>
			<meta property="og:image" content="<?php echo $options['wppc_opengraph_image']; ?>" />
			<meta name="twitter:image" content="<?php echo $options['wppc_opengraph_image']; ?>" />
		<?php } else { ?>
			<meta property="og:image" content="<?php echo plugins_url( 'templates/images/default-open-graph.jpg' , dirname(__FILE__) );  ?>" />
			<meta name="twitter:image" content="<?php echo plugins_url( 'templates/images/default-open-graph.jpg' , dirname(__FILE__) );  ?>" />
		<?php 
	}
	?>
		<meta name="twitter:title" content="<?php echo $options['wppc_opengraph_title']; ?>" />
		<meta name="twitter:description" content="<?php echo $options['wppc_opengraph_desc']; ?>" />
		<meta name="twitter:site" content="<?php echo $options['wppc_twitter_username']; ?>" />
	<?php		
?>

<script type="text/javascript">
	jQuery(document).ready(function() {
		/* Initialize Lightbox */
		jQuery('.fancybox').fancybox();

		/* Different effects */
		jQuery("#fancybox-manual-b").click(function() {
			jQuery.fancybox.open({
				href : 'iframe.html',
				type : 'iframe',
				padding : 0
			});
		});
			
		/* Different effects */
		jQuery(".fancybox").fancybox({
				autoSize: false,
				scrolling: "no",
 				beforeShow: function(){
   					this.width = jQuery('.fancybox-iframe').contents().find('.promotion').width();
   					this.height = jQuery('.fancybox-iframe').contents().find('#content').height();
   				}	
		});
		
	});
</script>
<?php 
			$options = get_option('wppc_display_options');
				
			if ( $options['wppc_calendar_background'] != '' ) { 
				echo '<style type="text/css">html { background: url(' . $options['wppc_calendar_background'] . ') no-repeat center center fixed; !important} body { background:none !important; }</style>';
			}  else {
				echo '<style type="text/css">html { background: url(' . plugins_url( 'templates/images/default-open-graph.jpg' , dirname(__FILE__) ) . ') no-repeat center center fixed !important; } body { background:none !important; }</style>';
			};
?> 
<style type="text/css">
	
	.wppc-header {
		background:<?php $options = get_option('wppc_display_options'); echo $options['wppc_header_background']; ?>;
	}
	
	.wppc-header,
	.wppc-share-text,
	.wppc-title h1, 
	.wppc-title a {
		color:<?php $options = get_option('wppc_display_options'); echo $options['wppc_header_font_color']; ?>;
	}
		
	.wppc-entry {
		background:<?php $options = get_option('wppc_display_options'); echo $options['wppc_intro_background']; ?>;
	}
	
	.wppc-intro h2	{
		color: <?php $options = get_option('wppc_display_options'); echo $options['wppc_intro_color']; ?>;
	}
	
	.wppc-intro .entry-content {
		color: <?php $options = get_option('wppc_display_options'); echo $options['wppc_intro_color']; ?>;
	}
	
	li.wppc-door a {
		background: <?php $options = get_option('wppc_display_options'); echo $options['wppc_date_background']; ?>;
		border: <?php $options = get_option('wppc_display_options'); echo $options['wppc_date_color']; ?>;
		box-shadow: 0 0 10px <?php $options = get_option('wppc_display_options'); echo $options['wppc_date_color']; ?>;
		color: <?php $options = get_option('wppc_display_options'); echo $options['wppc_date_color']; ?>;
	}
</style>
</head>
<body class="wppc-index">
<div class="wppc-background">
<?php 
	$options = get_option('wppc_display_options'); 
				
	if( isset( $options['display_wppc_headless'] ) && $options[ 'display_wppc_headless' ] ) { 
	?>
		<!-- Headless Mode is Enabled - Disable if you would like a header -->
	<?php
	}
	else {
	?>
	<div class="wppc-header">
	<div class="wrap">
			<div class="wppc-title">
				<?php 
					$options = get_option('wppc_display_options');
					
					if ( $options['wppc_calendar_logo'] != '' ) { 
							?>
							<a href="<?php bloginfo('wpurl'); ?>"><img src="<?php echo $options['wppc_calendar_logo']; ?>" alt="<?php bloginfo('name'); ?>" /></a>
							
						<?php
					}  else {
						?>
							<a href="<?php bloginfo('wpurl'); ?>"><h1 class="wppc-site-name"><?php bloginfo('name'); ?></h1></a>
						<?php
					}	
				?> 

			</div>
	
		<div class="wppc-sharebar-container">
		<div class="wppc-share-buttons">
		<div class="wppc-share-text">Share This</div>
	    <!-- Facebook -->
	    <a href="http://www.facebook.com/sharer.php?u=<?php bloginfo('wpurl'); ?>/<?php $options = get_option('wppc_display_options'); echo $options['wppc_slug']; ?>/" class="wppc-facebook" target="_blank">
	        Facebook
	    </a>
	
	    <!-- Twitter -->
	    <a href="https://twitter.com/share?url=<?php bloginfo('wpurl'); ?>/<?php $options = get_option('wppc_display_options'); echo $options['wppc_slug']; ?>/&amp;text=Check%20out%20this%20promotion%20calendar&amp;hashtags=PromotionCalendar" class="wppc-twitter" target="_blank">
	        Twitter
	    </a>
	    
	    <!-- Google+ -->
	    <a href="https://plus.google.com/share?url=<?php bloginfo('wpurl'); ?>/<?php $options = get_option('wppc_display_options'); echo $options['wppc_slug']; ?>/" class="wppc-google" target="_blank">
	        Google+
	    </a>
	    
	    <!-- LinkedIn -->
	    <a href="http://www.linkedin.com/shareArticle?mini=true&amp;url=<?php bloginfo('wpurl'); ?>/<?php $options = get_option('wppc_display_options'); echo $options['wppc_slug']; ?>/" class="wppc-linkedin" target="_blank">
	        LinkedIn
	    </a>
	    
	    <!-- Email -->
	    <a href="mailto:?Subject=Promotion Calendar&amp;Body=I%20saw%20this%20and%20thought%20of%20you!%20 <?php bloginfo('wpurl'); ?>/<?php $options = get_option('wppc_display_options'); echo $options['wppc_slug']; ?>/" class="wppc-email">
	        Email
	    </a>
		</div>
		<div class="clr"></div>
		</div>
		</div>
	</div>
	<?php }
?>
	<div class="wppc-container">
	
		<section>
			<div class="wppc-entry">
			<div class="wppc-intro">
				<h2><?php the_title(); ?></h2>
				<div class="entry-content">
					<?php if (have_posts()) : ?>
						<?php while (have_posts()) : the_post(); ?>
  							<?php the_content();?>
						<?php endwhile; ?>
					<?php endif; ?>   
				</div>
			</div>
			</div>
		</section>
		
		<section class="wppc-calendar">
			<ul class="wppc-doors">
				<?php 
					/* Generate Promotion Calendar Doors */
					$options = get_option('wppc_display_options');
					$wppc_wordpress_date = strtotime(current_time( 'd-m-Y', $gmt = 0));
					$wppc_date = '-'.$options['wppc_month'].'-'. date('Y');

					if ( $options['wppc_day_01'] != 'default' && $options['display_wppc_matchtype'] == 'exact' && $wppc_wordpress_date == strtotime('01'.$wppc_date)) { 
						echo '<li class="wppc-door wppc-current"><a href="' . $options['wppc_day_01'] . '" class="fancybox fancybox.iframe"><div class="wppc-window" datetime="01' . $wppc_date . '">1</div></a></li>'; 
					} elseif ( $options['wppc_day_01'] != 'default' && $options['display_wppc_matchtype'] == 'cumulative' && $wppc_wordpress_date >= strtotime('01'.$wppc_date)) {
						echo '<li class="wppc-door wppc-current"><a href="' . $options['wppc_day_01'] . '" class="fancybox fancybox.iframe"><div class="wppc-window" datetime="01' . $wppc_date . '">1</div></a></li>';
					} elseif ( $options['wppc_day_01'] != 'default' && $options['display_wppc_matchtype'] == 'unrestricted') {
						echo '<li class="wppc-door wppc-current"><a href="' . $options['wppc_day_01'] . '" class="fancybox fancybox.iframe"><div class="wppc-window" datetime="01' . $wppc_date . '">1</div></a></li>';
					} elseif ( $options['wppc_day_01'] != 'default' && $wppc_wordpress_date !== strtotime('01'.$wppc_date)) {
						echo '<li class="wppc-door"><a href="' . $options['wppc_error_slug'] . '/" class="fancybox fancybox.iframe"><div class="wppc-window" datetime="01' . $wppc_date . '">1</div></a></li>';
					}
					
					if ( $options['wppc_day_02'] != 'default' && $options['display_wppc_matchtype'] == 'exact' && $wppc_wordpress_date == strtotime('02'.$wppc_date)) { 
						echo '<li class="wppc-door wppc-current"><a href="' . $options['wppc_day_02'] . '" class="fancybox fancybox.iframe"><div class="wppc-window" datetime="02' . $wppc_date . '">2</div></a></li>'; 
					} elseif ( $options['wppc_day_02'] != 'default' && $options['display_wppc_matchtype'] == 'cumulative' && $wppc_wordpress_date >= strtotime('02'.$wppc_date)) {
						echo '<li class="wppc-door wppc-current"><a href="' . $options['wppc_day_02'] . '" class="fancybox fancybox.iframe"><div class="wppc-window" datetime="02' . $wppc_date . '">2</div></a></li>';
					} elseif ( $options['wppc_day_02'] != 'default' && $options['display_wppc_matchtype'] == 'unrestricted') {
						echo '<li class="wppc-door wppc-current"><a href="' . $options['wppc_day_02'] . '" class="fancybox fancybox.iframe"><div class="wppc-window" datetime="02' . $wppc_date . '">2</div></a></li>';
					} elseif ( $options['wppc_day_02'] != 'default' && $wppc_wordpress_date !== strtotime('02'.$wppc_date)) {
						echo '<li class="wppc-door"><a href="' . $options['wppc_error_slug'] . '/" class="fancybox fancybox.iframe"><div class="wppc-window" datetime="02' . $wppc_date . '">2</div></a></li>';
					}
					
					if ( $options['wppc_day_03'] != 'default' && $options['display_wppc_matchtype'] == 'exact' && $wppc_wordpress_date == strtotime('03'.$wppc_date)) { 
						echo '<li class="wppc-door wppc-current"><a href="' . $options['wppc_day_03'] . '" class="fancybox fancybox.iframe"><div class="wppc-window" datetime="03' . $wppc_date . '">3</div></a></li>'; 
					} elseif ( $options['wppc_day_03'] != 'default' && $options['display_wppc_matchtype'] == 'cumulative' && $wppc_wordpress_date >= strtotime('03'.$wppc_date)) {
						echo '<li class="wppc-door wppc-current"><a href="' . $options['wppc_day_03'] . '" class="fancybox fancybox.iframe"><div class="wppc-window" datetime="03' . $wppc_date . '">3</div></a></li>';
					} elseif ( $options['wppc_day_03'] != 'default' && $options['display_wppc_matchtype'] == 'unrestricted') {
						echo '<li class="wppc-door wppc-current"><a href="' . $options['wppc_day_03'] . '" class="fancybox fancybox.iframe"><div class="wppc-window" datetime="03' . $wppc_date . '">3</div></a></li>';
					} elseif ( $options['wppc_day_03'] != 'default' && $wppc_wordpress_date !== strtotime('03'.$wppc_date)) {
						echo '<li class="wppc-door"><a href="' . $options['wppc_error_slug'] . '/" class="fancybox fancybox.iframe"><div class="wppc-window" datetime="03' . $wppc_date . '">3</div></a></li>';
					}
					
					if ( $options['wppc_day_04'] != 'default' && $options['display_wppc_matchtype'] == 'exact' && $wppc_wordpress_date == strtotime('04'.$wppc_date)) { 
						echo '<li class="wppc-door wppc-current"><a href="' . $options['wppc_day_04'] . '" class="fancybox fancybox.iframe"><div class="wppc-window" datetime="04' . $wppc_date . '">4</div></a></li>'; 
					} elseif ( $options['wppc_day_04'] != 'default' && $options['display_wppc_matchtype'] == 'cumulative' && $wppc_wordpress_date >= strtotime('04'.$wppc_date)) {
						echo '<li class="wppc-door wppc-current"><a href="' . $options['wppc_day_04'] . '" class="fancybox fancybox.iframe"><div class="wppc-window" datetime="04' . $wppc_date . '">4</div></a></li>';
					} elseif ( $options['wppc_day_04'] != 'default' && $options['display_wppc_matchtype'] == 'unrestricted') {
						echo '<li class="wppc-door wppc-current"><a href="' . $options['wppc_day_04'] . '" class="fancybox fancybox.iframe"><div class="wppc-window" datetime="04' . $wppc_date . '">4</div></a></li>';
					} elseif ( $options['wppc_day_04'] != 'default' && $wppc_wordpress_date !== strtotime('04'.$wppc_date)) {
						echo '<li class="wppc-door"><a href="' . $options['wppc_error_slug'] . '/" class="fancybox fancybox.iframe"><div class="wppc-window" datetime="04' . $wppc_date . '">4</div></a></li>';
					}
					
					if ( $options['wppc_day_05'] != 'default' && $options['display_wppc_matchtype'] == 'exact' && $wppc_wordpress_date == strtotime('05'.$wppc_date)) { 
						echo '<li class="wppc-door wppc-current"><a href="' . $options['wppc_day_05'] . '" class="fancybox fancybox.iframe"><div class="wppc-window" datetime="05' . $wppc_date . '">5</div></a></li>'; 
					} elseif ( $options['wppc_day_05'] != 'default' && $options['display_wppc_matchtype'] == 'cumulative' && $wppc_wordpress_date >= strtotime('05'.$wppc_date)) {
						echo '<li class="wppc-door wppc-current"><a href="' . $options['wppc_day_05'] . '" class="fancybox fancybox.iframe"><div class="wppc-window" datetime="05' . $wppc_date . '">5</div></a></li>';
					} elseif ( $options['wppc_day_05'] != 'default' && $options['display_wppc_matchtype'] == 'unrestricted') {
						echo '<li class="wppc-door wppc-current"><a href="' . $options['wppc_day_05'] . '" class="fancybox fancybox.iframe"><div class="wppc-window" datetime="05' . $wppc_date . '">5</div></a></li>';
					} elseif ( $options['wppc_day_05'] != 'default' && $wppc_wordpress_date !== strtotime('05'.$wppc_date)) {
						echo '<li class="wppc-door"><a href="' . $options['wppc_error_slug'] . '/" class="fancybox fancybox.iframe"><div class="wppc-window" datetime="05' . $wppc_date . '">5</div></a></li>';
					}
					
					if ( $options['wppc_day_06'] != 'default' && $options['display_wppc_matchtype'] == 'exact' && $wppc_wordpress_date == strtotime('06'.$wppc_date)) { 
						echo '<li class="wppc-door wppc-current"><a href="' . $options['wppc_day_06'] . '" class="fancybox fancybox.iframe"><div class="wppc-window" datetime="06' . $wppc_date . '">6</div></a></li>'; 
					} elseif ( $options['wppc_day_06'] != 'default' && $options['display_wppc_matchtype'] == 'cumulative' && $wppc_wordpress_date >= strtotime('06'.$wppc_date)) {
						echo '<li class="wppc-door wppc-current"><a href="' . $options['wppc_day_06'] . '" class="fancybox fancybox.iframe"><div class="wppc-window" datetime="06' . $wppc_date . '">6</div></a></li>';
					} elseif ( $options['wppc_day_06'] != 'default' && $options['display_wppc_matchtype'] == 'unrestricted') {
						echo '<li class="wppc-door wppc-current"><a href="' . $options['wppc_day_06'] . '" class="fancybox fancybox.iframe"><div class="wppc-window" datetime="06' . $wppc_date . '">6</div></a></li>';
					} elseif ( $options['wppc_day_06'] != 'default' && $wppc_wordpress_date !== strtotime('06'.$wppc_date)) {
						echo '<li class="wppc-door"><a href="' . $options['wppc_error_slug'] . '/" class="fancybox fancybox.iframe"><div class="wppc-window" datetime="06' . $wppc_date . '">6</div></a></li>';
					}
					
					if ( $options['wppc_day_07'] != 'default' && $options['display_wppc_matchtype'] == 'exact' && $wppc_wordpress_date == strtotime('07'.$wppc_date)) { 
						echo '<li class="wppc-door wppc-current"><a href="' . $options['wppc_day_07'] . '" class="fancybox fancybox.iframe"><div class="wppc-window" datetime="07' . $wppc_date . '">7</div></a></li>'; 
					} elseif ( $options['wppc_day_07'] != 'default' && $options['display_wppc_matchtype'] == 'cumulative' && $wppc_wordpress_date >= strtotime('07'.$wppc_date)) {
						echo '<li class="wppc-door wppc-current"><a href="' . $options['wppc_day_07'] . '" class="fancybox fancybox.iframe"><div class="wppc-window" datetime="07' . $wppc_date . '">7</div></a></li>';
					} elseif ( $options['wppc_day_07'] != 'default' && $options['display_wppc_matchtype'] == 'unrestricted') {
						echo '<li class="wppc-door wppc-current"><a href="' . $options['wppc_day_07'] . '" class="fancybox fancybox.iframe"><div class="wppc-window" datetime="07' . $wppc_date . '">7</div></a></li>';
					} elseif ( $options['wppc_day_07'] != 'default' && $wppc_wordpress_date !== strtotime('07'.$wppc_date)) {
						echo '<li class="wppc-door"><a href="' . $options['wppc_error_slug'] . '/" class="fancybox fancybox.iframe"><div class="wppc-window" datetime="07' . $wppc_date . '">7</div></a></li>';
					}
					
					if ( $options['wppc_day_08'] != 'default' && $options['display_wppc_matchtype'] == 'exact' && $wppc_wordpress_date == strtotime('08'.$wppc_date)) { 
						echo '<li class="wppc-door wppc-current"><a href="' . $options['wppc_day_08'] . '" class="fancybox fancybox.iframe"><div class="wppc-window" datetime="08' . $wppc_date . '">8</div></a></li>'; 
					} elseif ( $options['wppc_day_08'] != 'default' && $options['display_wppc_matchtype'] == 'cumulative' && $wppc_wordpress_date >= strtotime('08'.$wppc_date)) {
						echo '<li class="wppc-door wppc-current"><a href="' . $options['wppc_day_08'] . '" class="fancybox fancybox.iframe"><div class="wppc-window" datetime="08' . $wppc_date . '">8</div></a></li>';
					} elseif ( $options['wppc_day_08'] != 'default' && $options['display_wppc_matchtype'] == 'unrestricted') {
						echo '<li class="wppc-door wppc-current"><a href="' . $options['wppc_day_08'] . '" class="fancybox fancybox.iframe"><div class="wppc-window" datetime="08' . $wppc_date . '">8</div></a></li>';
					} elseif ( $options['wppc_day_08'] != 'default' && $wppc_wordpress_date !== strtotime('08'.$wppc_date)) {
						echo '<li class="wppc-door"><a href="' . $options['wppc_error_slug'] . '/" class="fancybox fancybox.iframe"><div class="wppc-window" datetime="08' . $wppc_date . '">8</div></a></li>';
					}
					
					if ( $options['wppc_day_09'] != 'default' && $options['display_wppc_matchtype'] == 'exact' && $wppc_wordpress_date == strtotime('09'.$wppc_date)) { 
						echo '<li class="wppc-door wppc-current"><a href="' . $options['wppc_day_09'] . '" class="fancybox fancybox.iframe"><div class="wppc-window" datetime="09' . $wppc_date . '">9</div></a></li>'; 
					} elseif ( $options['wppc_day_09'] != 'default' && $options['display_wppc_matchtype'] == 'cumulative' && $wppc_wordpress_date >= strtotime('09'.$wppc_date)) {
						echo '<li class="wppc-door wppc-current"><a href="' . $options['wppc_day_09'] . '" class="fancybox fancybox.iframe"><div class="wppc-window" datetime="09' . $wppc_date . '">9</div></a></li>';
					} elseif ( $options['wppc_day_09'] != 'default' && $options['display_wppc_matchtype'] == 'unrestricted') {
						echo '<li class="wppc-door wppc-current"><a href="' . $options['wppc_day_09'] . '" class="fancybox fancybox.iframe"><div class="wppc-window" datetime="09' . $wppc_date . '">9</div></a></li>';
					} elseif ( $options['wppc_day_09'] != 'default' && $wppc_wordpress_date !== strtotime('09'.$wppc_date)) {
						echo '<li class="wppc-door"><a href="' . $options['wppc_error_slug'] . '/" class="fancybox fancybox.iframe"><div class="wppc-window" datetime="09' . $wppc_date . '">9</div></a></li>';
					}
					
					if ( $options['wppc_day_10'] != 'default' && $options['display_wppc_matchtype'] == 'exact' && $wppc_wordpress_date == strtotime('10'.$wppc_date)) { 
						echo '<li class="wppc-door wppc-current"><a href="' . $options['wppc_day_10'] . '" class="fancybox fancybox.iframe"><div class="wppc-window" datetime="10' . $wppc_date . '">10</div></a></li>'; 
					} elseif ( $options['wppc_day_10'] != 'default' && $options['display_wppc_matchtype'] == 'cumulative' && $wppc_wordpress_date >= strtotime('10'.$wppc_date)) {
						echo '<li class="wppc-door wppc-current"><a href="' . $options['wppc_day_10'] . '" class="fancybox fancybox.iframe"><div class="wppc-window" datetime="10' . $wppc_date . '">10</div></a></li>';
					} elseif ( $options['wppc_day_10'] != 'default' && $options['display_wppc_matchtype'] == 'unrestricted') {
						echo '<li class="wppc-door wppc-current"><a href="' . $options['wppc_day_10'] . '" class="fancybox fancybox.iframe"><div class="wppc-window" datetime="10' . $wppc_date . '">10</div></a></li>';
					} elseif ( $options['wppc_day_10'] != 'default' && $wppc_wordpress_date !== strtotime('10'.$wppc_date)) {
						echo '<li class="wppc-door"><a href="' . $options['wppc_error_slug'] . '/" class="fancybox fancybox.iframe"><div class="wppc-window" datetime="10' . $wppc_date . '">10</div></a></li>';
					}
					
					if ( $options['wppc_day_11'] != 'default' && $options['display_wppc_matchtype'] == 'exact' && $wppc_wordpress_date == strtotime('11'.$wppc_date)) { 
						echo '<li class="wppc-door wppc-current"><a href="' . $options['wppc_day_11'] . '" class="fancybox fancybox.iframe"><div class="wppc-window" datetime="11' . $wppc_date . '">11</div></a></li>'; 
					} elseif ( $options['wppc_day_11'] != 'default' && $options['display_wppc_matchtype'] == 'cumulative' && $wppc_wordpress_date >= strtotime('11'.$wppc_date)) {
						echo '<li class="wppc-door wppc-current"><a href="' . $options['wppc_day_11'] . '" class="fancybox fancybox.iframe"><div class="wppc-window" datetime="11' . $wppc_date . '">11</div></a></li>';
					} elseif ( $options['wppc_day_11'] != 'default' && $options['display_wppc_matchtype'] == 'unrestricted') {
						echo '<li class="wppc-door wppc-current"><a href="' . $options['wppc_day_11'] . '" class="fancybox fancybox.iframe"><div class="wppc-window" datetime="11' . $wppc_date . '">11</div></a></li>';
					} elseif ( $options['wppc_day_11'] != 'default' && $wppc_wordpress_date !== strtotime('11'.$wppc_date)) {
						echo '<li class="wppc-door"><a href="' . $options['wppc_error_slug'] . '/" class="fancybox fancybox.iframe"><div class="wppc-window" datetime="11' . $wppc_date . '">11</div></a></li>';
					}
					
					if ( $options['wppc_day_12'] != 'default' && $options['display_wppc_matchtype'] == 'exact' && $wppc_wordpress_date == strtotime('12'.$wppc_date)) { 
						echo '<li class="wppc-door wppc-current"><a href="' . $options['wppc_day_12'] . '" class="fancybox fancybox.iframe"><div class="wppc-window" datetime="12' . $wppc_date . '">12</div></a></li>'; 
					} elseif ( $options['wppc_day_12'] != 'default' && $options['display_wppc_matchtype'] == 'cumulative' && $wppc_wordpress_date >= strtotime('12'.$wppc_date)) {
						echo '<li class="wppc-door wppc-current"><a href="' . $options['wppc_day_12'] . '" class="fancybox fancybox.iframe"><div class="wppc-window" datetime="12' . $wppc_date . '">12</div></a></li>';
					} elseif ( $options['wppc_day_12'] != 'default' && $options['display_wppc_matchtype'] == 'unrestricted') {
						echo '<li class="wppc-door wppc-current"><a href="' . $options['wppc_day_12'] . '" class="fancybox fancybox.iframe"><div class="wppc-window" datetime="12' . $wppc_date . '">12</div></a></li>';
					} elseif ( $options['wppc_day_12'] != 'default' && $wppc_wordpress_date !== strtotime('12'.$wppc_date)) {
						echo '<li class="wppc-door"><a href="' . $options['wppc_error_slug'] . '/" class="fancybox fancybox.iframe"><div class="wppc-window" datetime="12' . $wppc_date . '">12</div></a></li>';
					}
					
					if ( $options['wppc_day_13'] != 'default' && $options['display_wppc_matchtype'] == 'exact' && $wppc_wordpress_date == strtotime('13'.$wppc_date)) { 
						echo '<li class="wppc-door wppc-current"><a href="' . $options['wppc_day_13'] . '" class="fancybox fancybox.iframe"><div class="wppc-window" datetime="13' . $wppc_date . '">13</div></a></li>'; 
					} elseif ( $options['wppc_day_13'] != 'default' && $options['display_wppc_matchtype'] == 'cumulative' && $wppc_wordpress_date >= strtotime('13'.$wppc_date)) {
						echo '<li class="wppc-door wppc-current"><a href="' . $options['wppc_day_13'] . '" class="fancybox fancybox.iframe"><div class="wppc-window" datetime="13' . $wppc_date . '">13</div></a></li>';
					} elseif ( $options['wppc_day_13'] != 'default' && $options['display_wppc_matchtype'] == 'unrestricted') {
						echo '<li class="wppc-door wppc-current"><a href="' . $options['wppc_day_13'] . '" class="fancybox fancybox.iframe"><div class="wppc-window" datetime="13' . $wppc_date . '">13</div></a></li>';
					} elseif ( $options['wppc_day_13'] != 'default' && $wppc_wordpress_date !== strtotime('13'.$wppc_date)) {
						echo '<li class="wppc-door"><a href="' . $options['wppc_error_slug'] . '/" class="fancybox fancybox.iframe"><div class="wppc-window" datetime="13' . $wppc_date . '">13</div></a></li>';
					}
					
					if ( $options['wppc_day_14'] != 'default' && $options['display_wppc_matchtype'] == 'exact' && $wppc_wordpress_date == strtotime('14'.$wppc_date)) { 
						echo '<li class="wppc-door wppc-current"><a href="' . $options['wppc_day_14'] . '" class="fancybox fancybox.iframe"><div class="wppc-window" datetime="14' . $wppc_date . '">14</div></a></li>'; 
					} elseif ( $options['wppc_day_14'] != 'default' && $options['display_wppc_matchtype'] == 'cumulative' && $wppc_wordpress_date >= strtotime('14'.$wppc_date)) {
						echo '<li class="wppc-door wppc-current"><a href="' . $options['wppc_day_14'] . '" class="fancybox fancybox.iframe"><div class="wppc-window" datetime="14' . $wppc_date . '">14</div></a></li>';
					} elseif ( $options['wppc_day_14'] != 'default' && $options['display_wppc_matchtype'] == 'unrestricted') {
						echo '<li class="wppc-door wppc-current"><a href="' . $options['wppc_day_14'] . '" class="fancybox fancybox.iframe"><div class="wppc-window" datetime="14' . $wppc_date . '">14</div></a></li>';
					} elseif ( $options['wppc_day_14'] != 'default' && $wppc_wordpress_date !== strtotime('14'.$wppc_date)) {
						echo '<li class="wppc-door"><a href="' . $options['wppc_error_slug'] . '/" class="fancybox fancybox.iframe"><div class="wppc-window" datetime="14' . $wppc_date . '">14</div></a></li>';
					}
					
					if ( $options['wppc_day_15'] != 'default' && $options['display_wppc_matchtype'] == 'exact' && $wppc_wordpress_date == strtotime('15'.$wppc_date)) { 
						echo '<li class="wppc-door wppc-current"><a href="' . $options['wppc_day_15'] . '" class="fancybox fancybox.iframe"><div class="wppc-window" datetime="15' . $wppc_date . '">15</div></a></li>'; 
					} elseif ( $options['wppc_day_15'] != 'default' && $options['display_wppc_matchtype'] == 'cumulative' && $wppc_wordpress_date >= strtotime('15'.$wppc_date)) {
						echo '<li class="wppc-door wppc-current"><a href="' . $options['wppc_day_15'] . '" class="fancybox fancybox.iframe"><div class="wppc-window" datetime="15' . $wppc_date . '">15</div></a></li>';
					} elseif ( $options['wppc_day_15'] != 'default' && $options['display_wppc_matchtype'] == 'unrestricted') {
						echo '<li class="wppc-door wppc-current"><a href="' . $options['wppc_day_15'] . '" class="fancybox fancybox.iframe"><div class="wppc-window" datetime="15' . $wppc_date . '">15</div></a></li>';
					} elseif ( $options['wppc_day_15'] != 'default' && $wppc_wordpress_date !== strtotime('15'.$wppc_date)) {
						echo '<li class="wppc-door"><a href="' . $options['wppc_error_slug'] . '/" class="fancybox fancybox.iframe"><div class="wppc-window" datetime="15' . $wppc_date . '">15</div></a></li>';
					}
					
					if ( $options['wppc_day_16'] != 'default' && $options['display_wppc_matchtype'] == 'exact' && $wppc_wordpress_date == strtotime('16'.$wppc_date)) { 
						echo '<li class="wppc-door wppc-current"><a href="' . $options['wppc_day_16'] . '" class="fancybox fancybox.iframe"><div class="wppc-window" datetime="16' . $wppc_date . '">16</div></a></li>'; 
					} elseif ( $options['wppc_day_16'] != 'default' && $options['display_wppc_matchtype'] == 'cumulative' && $wppc_wordpress_date >= strtotime('16'.$wppc_date)) {
						echo '<li class="wppc-door wppc-current"><a href="' . $options['wppc_day_16'] . '" class="fancybox fancybox.iframe"><div class="wppc-window" datetime="16' . $wppc_date . '">16</div></a></li>';
					} elseif ( $options['wppc_day_16'] != 'default' && $options['display_wppc_matchtype'] == 'unrestricted') {
						echo '<li class="wppc-door wppc-current"><a href="' . $options['wppc_day_16'] . '" class="fancybox fancybox.iframe"><div class="wppc-window" datetime="16' . $wppc_date . '">16</div></a></li>';
					} elseif ( $options['wppc_day_16'] != 'default' && $wppc_wordpress_date !== strtotime('16'.$wppc_date)) {
						echo '<li class="wppc-door"><a href="' . $options['wppc_error_slug'] . '/" class="fancybox fancybox.iframe"><div class="wppc-window" datetime="16' . $wppc_date . '">16</div></a></li>';
					}
					
					if ( $options['wppc_day_17'] != 'default' && $options['display_wppc_matchtype'] == 'exact' && $wppc_wordpress_date == strtotime('17'.$wppc_date)) { 
						echo '<li class="wppc-door wppc-current"><a href="' . $options['wppc_day_17'] . '" class="fancybox fancybox.iframe"><div class="wppc-window" datetime="17' . $wppc_date . '">17</div></a></li>'; 
					} elseif ( $options['wppc_day_17'] != 'default' && $options['display_wppc_matchtype'] == 'cumulative' && $wppc_wordpress_date >= strtotime('17'.$wppc_date)) {
						echo '<li class="wppc-door wppc-current"><a href="' . $options['wppc_day_17'] . '" class="fancybox fancybox.iframe"><div class="wppc-window" datetime="17' . $wppc_date . '">17</div></a></li>';
					} elseif ( $options['wppc_day_17'] != 'default' && $options['display_wppc_matchtype'] == 'unrestricted') {
						echo '<li class="wppc-door wppc-current"><a href="' . $options['wppc_day_17'] . '" class="fancybox fancybox.iframe"><div class="wppc-window" datetime="17' . $wppc_date . '">17</div></a></li>';
					} elseif ( $options['wppc_day_17'] != 'default' && $wppc_wordpress_date !== strtotime('17'.$wppc_date)) {
						echo '<li class="wppc-door"><a href="' . $options['wppc_error_slug'] . '/" class="fancybox fancybox.iframe"><div class="wppc-window" datetime="17' . $wppc_date . '">17</div></a></li>';
					}
					
					if ( $options['wppc_day_18'] != 'default' && $options['display_wppc_matchtype'] == 'exact' && $wppc_wordpress_date == strtotime('18'.$wppc_date)) { 
						echo '<li class="wppc-door wppc-current"><a href="' . $options['wppc_day_18'] . '" class="fancybox fancybox.iframe"><div class="wppc-window" datetime="18' . $wppc_date . '">18</div></a></li>'; 
					} elseif ( $options['wppc_day_18'] != 'default' && $options['display_wppc_matchtype'] == 'cumulative' && $wppc_wordpress_date >= strtotime('18'.$wppc_date)) {
						echo '<li class="wppc-door wppc-current"><a href="' . $options['wppc_day_18'] . '" class="fancybox fancybox.iframe"><div class="wppc-window" datetime="18' . $wppc_date . '">18</div></a></li>';
					} elseif ( $options['wppc_day_18'] != 'default' && $options['display_wppc_matchtype'] == 'unrestricted') {
						echo '<li class="wppc-door wppc-current"><a href="' . $options['wppc_day_18'] . '" class="fancybox fancybox.iframe"><div class="wppc-window" datetime="18' . $wppc_date . '">18</div></a></li>';
					} elseif ( $options['wppc_day_18'] != 'default' && $wppc_wordpress_date !== strtotime('18'.$wppc_date)) {
						echo '<li class="wppc-door"><a href="' . $options['wppc_error_slug'] . '/" class="fancybox fancybox.iframe"><div class="wppc-window" datetime="18' . $wppc_date . '">18</div></a></li>';
					}
					
					if ( $options['wppc_day_19'] != 'default' && $options['display_wppc_matchtype'] == 'exact' && $wppc_wordpress_date == strtotime('19'.$wppc_date)) { 
						echo '<li class="wppc-door wppc-current"><a href="' . $options['wppc_day_19'] . '" class="fancybox fancybox.iframe"><div class="wppc-window" datetime="19' . $wppc_date . '">19</div></a></li>'; 
					} elseif ( $options['wppc_day_19'] != 'default' && $options['display_wppc_matchtype'] == 'cumulative' && $wppc_wordpress_date >= strtotime('19'.$wppc_date)) {
						echo '<li class="wppc-door wppc-current"><a href="' . $options['wppc_day_19'] . '" class="fancybox fancybox.iframe"><div class="wppc-window" datetime="19' . $wppc_date . '">19</div></a></li>';
					} elseif ( $options['wppc_day_19'] != 'default' && $options['display_wppc_matchtype'] == 'unrestricted') {
						echo '<li class="wppc-door wppc-current"><a href="' . $options['wppc_day_19'] . '" class="fancybox fancybox.iframe"><div class="wppc-window" datetime="19' . $wppc_date . '">19</div></a></li>';
					} elseif ( $options['wppc_day_19'] != 'default' && $wppc_wordpress_date !== strtotime('19'.$wppc_date)) {
						echo '<li class="wppc-door"><a href="' . $options['wppc_error_slug'] . '/" class="fancybox fancybox.iframe"><div class="wppc-window" datetime="19' . $wppc_date . '">19</div></a></li>';
					}
					
					if ( $options['wppc_day_20'] != 'default' && $options['display_wppc_matchtype'] == 'exact' && $wppc_wordpress_date == strtotime('20'.$wppc_date)) { 
						echo '<li class="wppc-door wppc-current"><a href="' . $options['wppc_day_20'] . '" class="fancybox fancybox.iframe"><div class="wppc-window" datetime="20' . $wppc_date . '">20</div></a></li>'; 
					} elseif ( $options['wppc_day_20'] != 'default' && $options['display_wppc_matchtype'] == 'cumulative' && $wppc_wordpress_date >= strtotime('20'.$wppc_date)) {
						echo '<li class="wppc-door wppc-current"><a href="' . $options['wppc_day_20'] . '" class="fancybox fancybox.iframe"><div class="wppc-window" datetime="20' . $wppc_date . '">20</div></a></li>';
					} elseif ( $options['wppc_day_20'] != 'default' && $options['display_wppc_matchtype'] == 'unrestricted') {
						echo '<li class="wppc-door wppc-current"><a href="' . $options['wppc_day_20'] . '" class="fancybox fancybox.iframe"><div class="wppc-window" datetime="20' . $wppc_date . '">20</div></a></li>';
					} elseif ( $options['wppc_day_20'] != 'default' && $wppc_wordpress_date !== strtotime('20'.$wppc_date)) {
						echo '<li class="wppc-door"><a href="' . $options['wppc_error_slug'] . '/" class="fancybox fancybox.iframe"><div class="wppc-window" datetime="20' . $wppc_date . '">20</div></a></li>';
					}
					
					if ( $options['wppc_day_21'] != 'default' && $options['display_wppc_matchtype'] == 'exact' && $wppc_wordpress_date == strtotime('21'.$wppc_date)) { 
						echo '<li class="wppc-door wppc-current"><a href="' . $options['wppc_day_21'] . '" class="fancybox fancybox.iframe"><div class="wppc-window" datetime="21' . $wppc_date . '">21</div></a></li>'; 
					} elseif ( $options['wppc_day_21'] != 'default' && $options['display_wppc_matchtype'] == 'cumulative' && $wppc_wordpress_date >= strtotime('21'.$wppc_date)) {
						echo '<li class="wppc-door wppc-current"><a href="' . $options['wppc_day_21'] . '" class="fancybox fancybox.iframe"><div class="wppc-window" datetime="21' . $wppc_date . '">21</div></a></li>';
					} elseif ( $options['wppc_day_21'] != 'default' && $options['display_wppc_matchtype'] == 'unrestricted') {
						echo '<li class="wppc-door wppc-current"><a href="' . $options['wppc_day_21'] . '" class="fancybox fancybox.iframe"><div class="wppc-window" datetime="21' . $wppc_date . '">21</div></a></li>';
					} elseif ( $options['wppc_day_21'] != 'default' && $wppc_wordpress_date !== strtotime('21'.$wppc_date)) {
						echo '<li class="wppc-door"><a href="' . $options['wppc_error_slug'] . '/" class="fancybox fancybox.iframe"><div class="wppc-window" datetime="21' . $wppc_date . '">21</div></a></li>';
					}
					
					if ( $options['wppc_day_22'] != 'default' && $options['display_wppc_matchtype'] == 'exact' && $wppc_wordpress_date == strtotime('22'.$wppc_date)) { 
						echo '<li class="wppc-door wppc-current"><a href="' . $options['wppc_day_22'] . '" class="fancybox fancybox.iframe"><div class="wppc-window" datetime="22' . $wppc_date . '">22</div></a></li>'; 
					} elseif ( $options['wppc_day_22'] != 'default' && $options['display_wppc_matchtype'] == 'cumulative' && $wppc_wordpress_date >= strtotime('22'.$wppc_date)) {
						echo '<li class="wppc-door wppc-current"><a href="' . $options['wppc_day_22'] . '" class="fancybox fancybox.iframe"><div class="wppc-window" datetime="22' . $wppc_date . '">22</div></a></li>';
					} elseif ( $options['wppc_day_22'] != 'default' && $options['display_wppc_matchtype'] == 'unrestricted') {
						echo '<li class="wppc-door wppc-current"><a href="' . $options['wppc_day_22'] . '" class="fancybox fancybox.iframe"><div class="wppc-window" datetime="22' . $wppc_date . '">22</div></a></li>';
					} elseif ( $options['wppc_day_22'] != 'default' && $wppc_wordpress_date !== strtotime('22'.$wppc_date)) {
						echo '<li class="wppc-door"><a href="' . $options['wppc_error_slug'] . '/" class="fancybox fancybox.iframe"><div class="wppc-window" datetime="22' . $wppc_date . '">22</div></a></li>';
					}
					
					if ( $options['wppc_day_23'] != 'default' && $options['display_wppc_matchtype'] == 'exact' && $wppc_wordpress_date == strtotime('23'.$wppc_date)) { 
						echo '<li class="wppc-door wppc-current"><a href="' . $options['wppc_day_23'] . '" class="fancybox fancybox.iframe"><div class="wppc-window" datetime="23' . $wppc_date . '">23</div></a></li>'; 
					} elseif ( $options['wppc_day_23'] != 'default' && $options['display_wppc_matchtype'] == 'cumulative' && $wppc_wordpress_date >= strtotime('23'.$wppc_date)) {
						echo '<li class="wppc-door wppc-current"><a href="' . $options['wppc_day_23'] . '" class="fancybox fancybox.iframe"><div class="wppc-window" datetime="23' . $wppc_date . '">23</div></a></li>';
					} elseif ( $options['wppc_day_23'] != 'default' && $options['display_wppc_matchtype'] == 'unrestricted') {
						echo '<li class="wppc-door wppc-current"><a href="' . $options['wppc_day_23'] . '" class="fancybox fancybox.iframe"><div class="wppc-window" datetime="23' . $wppc_date . '">23</div></a></li>';
					} elseif ( $options['wppc_day_23'] != 'default' && $wppc_wordpress_date !== strtotime('23'.$wppc_date)) {
						echo '<li class="wppc-door"><a href="' . $options['wppc_error_slug'] . '/" class="fancybox fancybox.iframe"><div class="wppc-window" datetime="23' . $wppc_date . '">23</div></a></li>';
					}
					
					if ( $options['wppc_day_24'] != 'default' && $options['display_wppc_matchtype'] == 'exact' && $wppc_wordpress_date == strtotime('24'.$wppc_date)) { 
						echo '<li class="wppc-door wppc-current"><a href="' . $options['wppc_day_24'] . '" class="fancybox fancybox.iframe"><div class="wppc-window" datetime="24' . $wppc_date . '">24</div></a></li>'; 
					} elseif ( $options['wppc_day_24'] != 'default' && $options['display_wppc_matchtype'] == 'cumulative' && $wppc_wordpress_date >= strtotime('24'.$wppc_date)) {
						echo '<li class="wppc-door wppc-current"><a href="' . $options['wppc_day_24'] . '" class="fancybox fancybox.iframe"><div class="wppc-window" datetime="24' . $wppc_date . '">24</div></a></li>';
					} elseif ( $options['wppc_day_24'] != 'default' && $options['display_wppc_matchtype'] == 'unrestricted') {
						echo '<li class="wppc-door wppc-current"><a href="' . $options['wppc_day_24'] . '" class="fancybox fancybox.iframe"><div class="wppc-window" datetime="24' . $wppc_date . '">24</div></a></li>';
					} elseif ( $options['wppc_day_24'] != 'default' && $wppc_wordpress_date !== strtotime('24'.$wppc_date)) {
						echo '<li class="wppc-door"><a href="' . $options['wppc_error_slug'] . '/" class="fancybox fancybox.iframe"><div class="wppc-window" datetime="24' . $wppc_date . '">24</div></a></li>';
					}
					
					if ( $options['wppc_day_25'] != 'default' && $options['display_wppc_matchtype'] == 'exact' && $wppc_wordpress_date == strtotime('25'.$wppc_date)) { 
						echo '<li class="wppc-door wppc-current"><a href="' . $options['wppc_day_25'] . '" class="fancybox fancybox.iframe"><div class="wppc-window" datetime="25' . $wppc_date . '">25</div></a></li>'; 
					} elseif ( $options['wppc_day_25'] != 'default' && $options['display_wppc_matchtype'] == 'cumulative' && $wppc_wordpress_date >= strtotime('25'.$wppc_date)) {
						echo '<li class="wppc-door wppc-current"><a href="' . $options['wppc_day_25'] . '" class="fancybox fancybox.iframe"><div class="wppc-window" datetime="25' . $wppc_date . '">25</div></a></li>';
					} elseif ( $options['wppc_day_25'] != 'default' && $options['display_wppc_matchtype'] == 'unrestricted') {
						echo '<li class="wppc-door wppc-current"><a href="' . $options['wppc_day_25'] . '" class="fancybox fancybox.iframe"><div class="wppc-window" datetime="25' . $wppc_date . '">25</div></a></li>';
					} elseif ( $options['wppc_day_25'] != 'default' && $wppc_wordpress_date !== strtotime('25'.$wppc_date)) {
						echo '<li class="wppc-door"><a href="' . $options['wppc_error_slug'] . '/" class="fancybox fancybox.iframe"><div class="wppc-window" datetime="25' . $wppc_date . '">25</div></a></li>';
					}
					
					if ( $options['wppc_day_26'] != 'default' && $options['display_wppc_matchtype'] == 'exact' && $wppc_wordpress_date == strtotime('26'.$wppc_date)) { 
						echo '<li class="wppc-door wppc-current"><a href="' . $options['wppc_day_26'] . '" class="fancybox fancybox.iframe"><div class="wppc-window" datetime="26' . $wppc_date . '">26</div></a></li>'; 
					} elseif ( $options['wppc_day_26'] != 'default' && $options['display_wppc_matchtype'] == 'cumulative' && $wppc_wordpress_date >= strtotime('26'.$wppc_date)) {
						echo '<li class="wppc-door wppc-current"><a href="' . $options['wppc_day_26'] . '" class="fancybox fancybox.iframe"><div class="wppc-window" datetime="26' . $wppc_date . '">26</div></a></li>';
					} elseif ( $options['wppc_day_26'] != 'default' && $options['display_wppc_matchtype'] == 'unrestricted') {
						echo '<li class="wppc-door wppc-current"><a href="' . $options['wppc_day_26'] . '" class="fancybox fancybox.iframe"><div class="wppc-window" datetime="26' . $wppc_date . '">26</div></a></li>';
					} elseif ( $options['wppc_day_26'] != 'default' && $wppc_wordpress_date !== strtotime('26'.$wppc_date)) {
						echo '<li class="wppc-door"><a href="' . $options['wppc_error_slug'] . '/" class="fancybox fancybox.iframe"><div class="wppc-window" datetime="26' . $wppc_date . '">26</div></a></li>';
					}
					
					if ( $options['wppc_day_27'] != 'default' && $options['display_wppc_matchtype'] == 'exact' && $wppc_wordpress_date == strtotime('27'.$wppc_date)) { 
						echo '<li class="wppc-door wppc-current"><a href="' . $options['wppc_day_27'] . '" class="fancybox fancybox.iframe"><div class="wppc-window" datetime="27' . $wppc_date . '">27</div></a></li>'; 
					} elseif ( $options['wppc_day_27'] != 'default' && $options['display_wppc_matchtype'] == 'cumulative' && $wppc_wordpress_date >= strtotime('27'.$wppc_date)) {
						echo '<li class="wppc-door wppc-current"><a href="' . $options['wppc_day_27'] . '" class="fancybox fancybox.iframe"><div class="wppc-window" datetime="27' . $wppc_date . '">27</div></a></li>';
					} elseif ( $options['wppc_day_27'] != 'default' && $options['display_wppc_matchtype'] == 'unrestricted') {
						echo '<li class="wppc-door wppc-current"><a href="' . $options['wppc_day_27'] . '" class="fancybox fancybox.iframe"><div class="wppc-window" datetime="27' . $wppc_date . '">27</div></a></li>';
					} elseif ( $options['wppc_day_27'] != 'default' && $wppc_wordpress_date !== strtotime('27'.$wppc_date)) {
						echo '<li class="wppc-door"><a href="' . $options['wppc_error_slug'] . '/" class="fancybox fancybox.iframe"><div class="wppc-window" datetime="27' . $wppc_date . '">27</div></a></li>';
					}
					
					if ( $options['wppc_day_28'] != 'default' && $options['display_wppc_matchtype'] == 'exact' && $wppc_wordpress_date == strtotime('28'.$wppc_date)) { 
						echo '<li class="wppc-door wppc-current"><a href="' . $options['wppc_day_28'] . '" class="fancybox fancybox.iframe"><div class="wppc-window" datetime="28' . $wppc_date . '">28</div></a></li>'; 
					} elseif ( $options['wppc_day_28'] != 'default' && $options['display_wppc_matchtype'] == 'cumulative' && $wppc_wordpress_date >= strtotime('28'.$wppc_date)) {
						echo '<li class="wppc-door wppc-current"><a href="' . $options['wppc_day_28'] . '" class="fancybox fancybox.iframe"><div class="wppc-window" datetime="28' . $wppc_date . '">28</div></a></li>';
					} elseif ( $options['wppc_day_28'] != 'default' && $options['display_wppc_matchtype'] == 'unrestricted') {
						echo '<li class="wppc-door wppc-current"><a href="' . $options['wppc_day_28'] . '" class="fancybox fancybox.iframe"><div class="wppc-window" datetime="28' . $wppc_date . '">28</div></a></li>';
					} elseif ( $options['wppc_day_28'] != 'default' && $wppc_wordpress_date !== strtotime('28'.$wppc_date)) {
						echo '<li class="wppc-door"><a href="' . $options['wppc_error_slug'] . '/" class="fancybox fancybox.iframe"><div class="wppc-window" datetime="28' . $wppc_date . '">28</div></a></li>';
					}
					
					if ( $options['wppc_day_29'] != 'default' && $options['display_wppc_matchtype'] == 'exact' && $wppc_wordpress_date == strtotime('29'.$wppc_date)) { 
						echo '<li class="wppc-door wppc-current"><a href="' . $options['wppc_day_29'] . '" class="fancybox fancybox.iframe"><div class="wppc-window" datetime="29' . $wppc_date . '">29</div></a></li>'; 
					} elseif ( $options['wppc_day_29'] != 'default' && $options['display_wppc_matchtype'] == 'cumulative' && $wppc_wordpress_date >= strtotime('29'.$wppc_date)) {
						echo '<li class="wppc-door wppc-current"><a href="' . $options['wppc_day_29'] . '" class="fancybox fancybox.iframe"><div class="wppc-window" datetime="29' . $wppc_date . '">29</div></a></li>';
					} elseif ( $options['wppc_day_29'] != 'default' && $options['display_wppc_matchtype'] == 'unrestricted') {
						echo '<li class="wppc-door wppc-current"><a href="' . $options['wppc_day_29'] . '" class="fancybox fancybox.iframe"><div class="wppc-window" datetime="29' . $wppc_date . '">29</div></a></li>';
					} elseif ( $options['wppc_day_29'] != 'default' && $wppc_wordpress_date !== strtotime('29'.$wppc_date)) {
						echo '<li class="wppc-door"><a href="' . $options['wppc_error_slug'] . '/" class="fancybox fancybox.iframe"><div class="wppc-window" datetime="29' . $wppc_date . '">29</div></a></li>';
					}
					
					if ( $options['wppc_day_30'] != 'default' && $options['display_wppc_matchtype'] == 'exact' && $wppc_wordpress_date == strtotime('30'.$wppc_date)) { 
						echo '<li class="wppc-door wppc-current"><a href="' . $options['wppc_day_30'] . '" class="fancybox fancybox.iframe"><div class="wppc-window" datetime="30' . $wppc_date . '">30</div></a></li>'; 
					} elseif ( $options['wppc_day_30'] != 'default' && $options['display_wppc_matchtype'] == 'cumulative' && $wppc_wordpress_date >= strtotime('30'.$wppc_date)) {
						echo '<li class="wppc-door wppc-current"><a href="' . $options['wppc_day_30'] . '" class="fancybox fancybox.iframe"><div class="wppc-window" datetime="30' . $wppc_date . '">30</div></a></li>';
					} elseif ( $options['wppc_day_30'] != 'default' && $options['display_wppc_matchtype'] == 'unrestricted') {
						echo '<li class="wppc-door wppc-current"><a href="' . $options['wppc_day_30'] . '" class="fancybox fancybox.iframe"><div class="wppc-window" datetime="30' . $wppc_date . '">30</div></a></li>';
					} elseif ( $options['wppc_day_30'] != 'default' && $wppc_wordpress_date !== strtotime('30'.$wppc_date)) {
						echo '<li class="wppc-door"><a href="' . $options['wppc_error_slug'] . '/" class="fancybox fancybox.iframe"><div class="wppc-window" datetime="30' . $wppc_date . '">30</div></a></li>';
					}
					
					if ( $options['wppc_day_31'] != 'default' && $options['display_wppc_matchtype'] == 'exact' && $wppc_wordpress_date == strtotime('31'.$wppc_date)) { 
						echo '<li class="wppc-door wppc-current"><a href="' . $options['wppc_day_31'] . '" class="fancybox fancybox.iframe"><div class="wppc-window" datetime="31' . $wppc_date . '">31</div></a></li>'; 
					} elseif ( $options['wppc_day_31'] != 'default' && $options['display_wppc_matchtype'] == 'cumulative' && $wppc_wordpress_date >= strtotime('31'.$wppc_date)) {
						echo '<li class="wppc-door wppc-current"><a href="' . $options['wppc_day_31'] . '" class="fancybox fancybox.iframe"><div class="wppc-window" datetime="31' . $wppc_date . '">31</div></a></li>';
					} elseif ( $options['wppc_day_31'] != 'default' && $options['display_wppc_matchtype'] == 'unrestricted') {
						echo '<li class="wppc-door wppc-current"><a href="' . $options['wppc_day_31'] . '" class="fancybox fancybox.iframe"><div class="wppc-window" datetime="31' . $wppc_date . '">31</div></a></li>';
					} elseif ( $options['wppc_day_31'] != 'default' && $wppc_wordpress_date !== strtotime('31'.$wppc_date)) {
						echo '<li class="wppc-door"><a href="' . $options['wppc_error_slug'] . '/" class="fancybox fancybox.iframe"><div class="wppc-window" datetime="31' . $wppc_date . '">31</div></a></li>';
					}

				?>
			</ul>
			<div class="clr"></div>
		</section>
		
		<div class="wppc-credit">
			<?php 
				$options = get_option('wppc_display_options'); 
				
				if( isset( $options['display_wppc_credit'] ) && $options[ 'display_wppc_credit' ] ) {
					?>
						<small><a href="http://themodernentrepreneur.com/products/promotion-calendar/">Powered by WordPress Promotion Calendar</a></small>
					<?php
				}
			?>
		</div>
	</div>
	
</div>
<?php wp_footer(); ?>
</body>
</html>